package com.vmware.vcloud.api.rest.schema;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="AdminVdcStorageProfileType", propOrder={"providerVdcStorageProfile"})
public class AdminVdcStorageProfileType extends VdcStorageProfileType
{

  @XmlElement(name="ProviderVdcStorageProfile", required=true)
  protected ReferenceType providerVdcStorageProfile;

  public ReferenceType getProviderVdcStorageProfile()
  {
    return this.providerVdcStorageProfile;
  }

  public void setProviderVdcStorageProfile(ReferenceType value)
  {
    this.providerVdcStorageProfile = value;
  }
}