package com.vmware.vcloud.api.rest.schema;

import com.vmware.vcloud.api.rest.schema.ovf.SectionType;
import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAnyElement;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="DefaultStorageProfileSection_Type", propOrder={"storageProfile", "any"})
public class DefaultStorageProfileSectionType extends SectionType
{

  @XmlElement(name="StorageProfile")
  protected String storageProfile;

  @XmlAnyElement(lax=true)
  protected List<Object> any;

  public String getStorageProfile()
  {
    return this.storageProfile;
  }

  public void setStorageProfile(String value)
  {
    this.storageProfile = value;
  }

  public List<Object> getAny()
  {
    if (this.any == null) {
      this.any = new ArrayList();
    }
    return this.any;
  }
}