package com.vmware.vcloud.api.rest.schema;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="DiskType", propOrder={"storageProfile", "owner"})
public class DiskType extends ResourceEntityType
{

  @XmlElement(name="StorageProfile")
  protected ReferenceType storageProfile;

  @XmlElement(name="Owner")
  protected OwnerType owner;

  @XmlAttribute
  protected String busSubType;

  @XmlAttribute
  protected String busType;

  @XmlAttribute(required=true)
  protected long size;

  public ReferenceType getStorageProfile()
  {
    return this.storageProfile;
  }

  public void setStorageProfile(ReferenceType value)
  {
    this.storageProfile = value;
  }

  public OwnerType getOwner()
  {
    return this.owner;
  }

  public void setOwner(OwnerType value)
  {
    this.owner = value;
  }

  public String getBusSubType()
  {
    return this.busSubType;
  }

  public void setBusSubType(String value)
  {
    this.busSubType = value;
  }

  public String getBusType()
  {
    return this.busType;
  }

  public void setBusType(String value)
  {
    this.busType = value;
  }

  public long getSize()
  {
    return this.size;
  }

  public void setSize(long value)
  {
    this.size = value;
  }
}