package com.vmware.vcloud.api.rest.schema;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="FileUploadSocketType", propOrder={"task"})
public class FileUploadSocketType extends VCloudExtensibleType
{

  @XmlElement(name="Task")
  protected TaskType task;

  @XmlAttribute
  protected String uploadLocation;

  public TaskType getTask()
  {
    return this.task;
  }

  public void setTask(TaskType value)
  {
    this.task = value;
  }

  public String getUploadLocation()
  {
    return this.uploadLocation;
  }

  public void setUploadLocation(String value)
  {
    this.uploadLocation = value;
  }
}