package com.vmware.vcloud.api.rest.schema;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="GatewayNatRuleType", propOrder={"_interface", "originalIp", "originalPort", "translatedIp", "translatedPort", "protocol", "icmpSubType"})
public class GatewayNatRuleType extends VCloudExtensibleType
{

  @XmlElement(name="Interface")
  protected ReferenceType _interface;

  @XmlElement(name="OriginalIp")
  protected String originalIp;

  @XmlElement(name="OriginalPort")
  protected String originalPort;

  @XmlElement(name="TranslatedIp")
  protected String translatedIp;

  @XmlElement(name="TranslatedPort")
  protected String translatedPort;

  @XmlElement(name="Protocol")
  protected String protocol;

  @XmlElement(name="IcmpSubType")
  protected String icmpSubType;

  public ReferenceType getInterface()
  {
    return this._interface;
  }

  public void setInterface(ReferenceType value)
  {
    this._interface = value;
  }

  public String getOriginalIp()
  {
    return this.originalIp;
  }

  public void setOriginalIp(String value)
  {
    this.originalIp = value;
  }

  public String getOriginalPort()
  {
    return this.originalPort;
  }

  public void setOriginalPort(String value)
  {
    this.originalPort = value;
  }

  public String getTranslatedIp()
  {
    return this.translatedIp;
  }

  public void setTranslatedIp(String value)
  {
    this.translatedIp = value;
  }

  public String getTranslatedPort()
  {
    return this.translatedPort;
  }

  public void setTranslatedPort(String value)
  {
    this.translatedPort = value;
  }

  public String getProtocol()
  {
    return this.protocol;
  }

  public void setProtocol(String value)
  {
    this.protocol = value;
  }

  public String getIcmpSubType()
  {
    return this.icmpSubType;
  }

  public void setIcmpSubType(String value)
  {
    this.icmpSubType = value;
  }
}