package com.vmware.vcloud.api.rest.schema;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="IdentifiableResourceType")
public class IdentifiableResourceType extends ResourceType
{

  @XmlAttribute
  protected String id;

  @XmlAttribute
  protected String operationKey;

  public String getId()
  {
    return this.id;
  }

  public void setId(String value)
  {
    this.id = value;
  }

  public String getOperationKey()
  {
    return this.operationKey;
  }

  public void setOperationKey(String value)
  {
    this.operationKey = value;
  }
}