package com.vmware.vcloud.api.rest.schema;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.datatype.XMLGregorianCalendar;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="MetadataDateTimeValue", propOrder={"value"})
public class MetadataDateTimeValue extends MetadataTypedValue
{

  @XmlElement(name="Value", required=true)
  protected XMLGregorianCalendar value;

  public XMLGregorianCalendar getValue()
  {
    return this.value;
  }

  public void setValue(XMLGregorianCalendar value)
  {
    this.value = value;
  }
}