package com.vmware.vcloud.api.rest.schema;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="NatOneToOneBasicRuleType", propOrder={"mappingMode", "externalIpAddress", "internalIpAddress"})
public class NatOneToOneBasicRuleType extends VCloudExtensibleType
{

  @XmlElement(name="MappingMode", required=true)
  protected String mappingMode;

  @XmlElement(name="ExternalIpAddress", required=true)
  protected String externalIpAddress;

  @XmlElement(name="InternalIpAddress", required=true)
  protected String internalIpAddress;

  public String getMappingMode()
  {
    return this.mappingMode;
  }

  public void setMappingMode(String value)
  {
    this.mappingMode = value;
  }

  public String getExternalIpAddress()
  {
    return this.externalIpAddress;
  }

  public void setExternalIpAddress(String value)
  {
    this.externalIpAddress = value;
  }

  public String getInternalIpAddress()
  {
    return this.internalIpAddress;
  }

  public void setInternalIpAddress(String value)
  {
    this.internalIpAddress = value;
  }
}