package com.vmware.vcloud.api.rest.schema;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="OrgFederationSettingsType", propOrder={"samlMetadata", "enabled"})
public class OrgFederationSettingsType extends ResourceType
{

  @XmlElement(name="SAMLMetadata")
  protected String samlMetadata;

  @XmlElement(name="Enabled")
  protected Boolean enabled;

  public String getSAMLMetadata()
  {
    return this.samlMetadata;
  }

  public void setSAMLMetadata(String value)
  {
    this.samlMetadata = value;
  }

  public Boolean isEnabled()
  {
    return this.enabled;
  }

  public void setEnabled(Boolean value)
  {
    this.enabled = value;
  }
}