package com.vmware.vcloud.api.rest.schema;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="OrgGeneralSettingsType", propOrder={"canPublishCatalogs", "deployedVMQuota", "storedVmQuota", "useServerBootSequence", "delayAfterPowerOnSeconds"})
public class OrgGeneralSettingsType extends ResourceType
{

  @XmlElement(name="CanPublishCatalogs")
  protected Boolean canPublishCatalogs;

  @XmlElement(name="DeployedVMQuota")
  protected Integer deployedVMQuota;

  @XmlElement(name="StoredVmQuota")
  protected Integer storedVmQuota;

  @XmlElement(name="UseServerBootSequence")
  protected Boolean useServerBootSequence;

  @XmlElement(name="DelayAfterPowerOnSeconds")
  protected Integer delayAfterPowerOnSeconds;

  public Boolean isCanPublishCatalogs()
  {
    return this.canPublishCatalogs;
  }

  public void setCanPublishCatalogs(Boolean value)
  {
    this.canPublishCatalogs = value;
  }

  public Integer getDeployedVMQuota()
  {
    return this.deployedVMQuota;
  }

  public void setDeployedVMQuota(Integer value)
  {
    this.deployedVMQuota = value;
  }

  public Integer getStoredVmQuota()
  {
    return this.storedVmQuota;
  }

  public void setStoredVmQuota(Integer value)
  {
    this.storedVmQuota = value;
  }

  public Boolean isUseServerBootSequence()
  {
    return this.useServerBootSequence;
  }

  public void setUseServerBootSequence(Boolean value)
  {
    this.useServerBootSequence = value;
  }

  public Integer getDelayAfterPowerOnSeconds()
  {
    return this.delayAfterPowerOnSeconds;
  }

  public void setDelayAfterPowerOnSeconds(Integer value)
  {
    this.delayAfterPowerOnSeconds = value;
  }
}