package com.vmware.vcloud.api.rest.schema;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="OrgNetworkType", propOrder={"networkPool", "allowedExternalIpAddresses"})
public class OrgNetworkType extends NetworkType
{

  @XmlElement(name="NetworkPool")
  protected ReferenceType networkPool;

  @XmlElement(name="AllowedExternalIpAddresses")
  protected IpAddressesType allowedExternalIpAddresses;

  public ReferenceType getNetworkPool()
  {
    return this.networkPool;
  }

  public void setNetworkPool(ReferenceType value)
  {
    this.networkPool = value;
  }

  public IpAddressesType getAllowedExternalIpAddresses()
  {
    return this.allowedExternalIpAddresses;
  }

  public void setAllowedExternalIpAddresses(IpAddressesType value)
  {
    this.allowedExternalIpAddresses = value;
  }
}