package com.vmware.vcloud.api.rest.schema;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="QueryResultAdminDiskRecordType")
public class QueryResultAdminDiskRecordType extends QueryResultRecordType
{

  @XmlAttribute
  protected String busSubType;

  @XmlAttribute
  protected String busType;

  @XmlAttribute
  protected String busTypeDesc;

  @XmlAttribute
  protected String datastore;

  @XmlAttribute
  protected String datastoreName;

  @XmlAttribute
  protected Boolean isAttached;

  @XmlAttribute
  protected String name;

  @XmlAttribute
  protected String org;

  @XmlAttribute
  protected String ownerName;

  @XmlAttribute
  protected Long sizeB;

  @XmlAttribute
  protected String status;

  @XmlAttribute
  protected String storageProfile;

  @XmlAttribute
  protected String storageProfileName;

  @XmlAttribute
  protected String task;

  @XmlAttribute
  protected String vc;

  @XmlAttribute
  protected String vdc;

  @XmlAttribute
  protected String vdcName;

  public String getBusSubType()
  {
    return this.busSubType;
  }

  public void setBusSubType(String value)
  {
    this.busSubType = value;
  }

  public String getBusType()
  {
    return this.busType;
  }

  public void setBusType(String value)
  {
    this.busType = value;
  }

  public String getBusTypeDesc()
  {
    return this.busTypeDesc;
  }

  public void setBusTypeDesc(String value)
  {
    this.busTypeDesc = value;
  }

  public String getDatastore()
  {
    return this.datastore;
  }

  public void setDatastore(String value)
  {
    this.datastore = value;
  }

  public String getDatastoreName()
  {
    return this.datastoreName;
  }

  public void setDatastoreName(String value)
  {
    this.datastoreName = value;
  }

  public Boolean isIsAttached()
  {
    return this.isAttached;
  }

  public void setIsAttached(Boolean value)
  {
    this.isAttached = value;
  }

  public String getName()
  {
    return this.name;
  }

  public void setName(String value)
  {
    this.name = value;
  }

  public String getOrg()
  {
    return this.org;
  }

  public void setOrg(String value)
  {
    this.org = value;
  }

  public String getOwnerName()
  {
    return this.ownerName;
  }

  public void setOwnerName(String value)
  {
    this.ownerName = value;
  }

  public Long getSizeB()
  {
    return this.sizeB;
  }

  public void setSizeB(Long value)
  {
    this.sizeB = value;
  }

  public String getStatus()
  {
    return this.status;
  }

  public void setStatus(String value)
  {
    this.status = value;
  }

  public String getStorageProfile()
  {
    return this.storageProfile;
  }

  public void setStorageProfile(String value)
  {
    this.storageProfile = value;
  }

  public String getStorageProfileName()
  {
    return this.storageProfileName;
  }

  public void setStorageProfileName(String value)
  {
    this.storageProfileName = value;
  }

  public String getTask()
  {
    return this.task;
  }

  public void setTask(String value)
  {
    this.task = value;
  }

  public String getVc()
  {
    return this.vc;
  }

  public void setVc(String value)
  {
    this.vc = value;
  }

  public String getVdc()
  {
    return this.vdc;
  }

  public void setVdc(String value)
  {
    this.vdc = value;
  }

  public String getVdcName()
  {
    return this.vdcName;
  }

  public void setVdcName(String value)
  {
    this.vdcName = value;
  }
}