package com.vmware.vcloud.api.rest.schema;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="QueryResultAdminServiceRecordType")
public class QueryResultAdminServiceRecordType extends QueryResultRecordType
{

  @XmlAttribute
  protected Boolean enabled;

  @XmlAttribute
  protected String exchange;

  @XmlAttribute
  protected Boolean isAuthorizationEnabled;

  @XmlAttribute
  protected String name;

  @XmlAttribute
  protected String namespace;

  @XmlAttribute
  protected Integer priority;

  @XmlAttribute
  protected String routingKey;

  @XmlAttribute
  protected String vendor;

  public Boolean isEnabled()
  {
    return this.enabled;
  }

  public void setEnabled(Boolean value)
  {
    this.enabled = value;
  }

  public String getExchange()
  {
    return this.exchange;
  }

  public void setExchange(String value)
  {
    this.exchange = value;
  }

  public Boolean isIsAuthorizationEnabled()
  {
    return this.isAuthorizationEnabled;
  }

  public void setIsAuthorizationEnabled(Boolean value)
  {
    this.isAuthorizationEnabled = value;
  }

  public String getName()
  {
    return this.name;
  }

  public void setName(String value)
  {
    this.name = value;
  }

  public String getNamespace()
  {
    return this.namespace;
  }

  public void setNamespace(String value)
  {
    this.namespace = value;
  }

  public Integer getPriority()
  {
    return this.priority;
  }

  public void setPriority(Integer value)
  {
    this.priority = value;
  }

  public String getRoutingKey()
  {
    return this.routingKey;
  }

  public void setRoutingKey(String value)
  {
    this.routingKey = value;
  }

  public String getVendor()
  {
    return this.vendor;
  }

  public void setVendor(String value)
  {
    this.vendor = value;
  }
}