package com.vmware.vcloud.api.rest.schema;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="QueryResultAdminShadowVMRecordType")
public class QueryResultAdminShadowVMRecordType extends QueryResultRecordType
{

  @XmlAttribute
  protected String datastoreName;

  @XmlAttribute
  protected Boolean isBusy;

  @XmlAttribute
  protected Boolean isDeleted;

  @XmlAttribute
  protected Boolean isPublished;

  @XmlAttribute
  protected String name;

  @XmlAttribute
  protected String org;

  @XmlAttribute
  protected String primaryVAppName;

  @XmlAttribute
  protected String primaryVAppTemplate;

  @XmlAttribute
  protected String primaryVM;

  @XmlAttribute
  protected String primaryVMCatalog;

  @XmlAttribute
  protected String primaryVMOwner;

  @XmlAttribute
  protected String primaryVmName;

  @XmlAttribute
  protected String shadowVApp;

  @XmlAttribute
  protected String status;

  @XmlAttribute
  protected String vcName;

  public String getDatastoreName()
  {
    return this.datastoreName;
  }

  public void setDatastoreName(String value)
  {
    this.datastoreName = value;
  }

  public Boolean isIsBusy()
  {
    return this.isBusy;
  }

  public void setIsBusy(Boolean value)
  {
    this.isBusy = value;
  }

  public Boolean isIsDeleted()
  {
    return this.isDeleted;
  }

  public void setIsDeleted(Boolean value)
  {
    this.isDeleted = value;
  }

  public Boolean isIsPublished()
  {
    return this.isPublished;
  }

  public void setIsPublished(Boolean value)
  {
    this.isPublished = value;
  }

  public String getName()
  {
    return this.name;
  }

  public void setName(String value)
  {
    this.name = value;
  }

  public String getOrg()
  {
    return this.org;
  }

  public void setOrg(String value)
  {
    this.org = value;
  }

  public String getPrimaryVAppName()
  {
    return this.primaryVAppName;
  }

  public void setPrimaryVAppName(String value)
  {
    this.primaryVAppName = value;
  }

  public String getPrimaryVAppTemplate()
  {
    return this.primaryVAppTemplate;
  }

  public void setPrimaryVAppTemplate(String value)
  {
    this.primaryVAppTemplate = value;
  }

  public String getPrimaryVM()
  {
    return this.primaryVM;
  }

  public void setPrimaryVM(String value)
  {
    this.primaryVM = value;
  }

  public String getPrimaryVMCatalog()
  {
    return this.primaryVMCatalog;
  }

  public void setPrimaryVMCatalog(String value)
  {
    this.primaryVMCatalog = value;
  }

  public String getPrimaryVMOwner()
  {
    return this.primaryVMOwner;
  }

  public void setPrimaryVMOwner(String value)
  {
    this.primaryVMOwner = value;
  }

  public String getPrimaryVmName()
  {
    return this.primaryVmName;
  }

  public void setPrimaryVmName(String value)
  {
    this.primaryVmName = value;
  }

  public String getShadowVApp()
  {
    return this.shadowVApp;
  }

  public void setShadowVApp(String value)
  {
    this.shadowVApp = value;
  }

  public String getStatus()
  {
    return this.status;
  }

  public void setStatus(String value)
  {
    this.status = value;
  }

  public String getVcName()
  {
    return this.vcName;
  }

  public void setVcName(String value)
  {
    this.vcName = value;
  }
}