package com.vmware.vcloud.api.rest.schema;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="QueryResultAdminVAppNetworkRecordType")
public class QueryResultAdminVAppNetworkRecordType extends QueryResultRecordType
{

  @XmlAttribute
  protected String dns1;

  @XmlAttribute
  protected String dns2;

  @XmlAttribute
  protected String dnsSuffix;

  @XmlAttribute
  protected String gateway;

  @XmlAttribute
  protected Boolean isBusy;

  @XmlAttribute
  protected Boolean isIpScopeInherited;

  @XmlAttribute
  protected String name;

  @XmlAttribute
  protected String netmask;

  @XmlAttribute
  protected String org;

  @XmlAttribute
  protected String vApp;

  @XmlAttribute
  protected String vappName;

  public String getDns1()
  {
    return this.dns1;
  }

  public void setDns1(String value)
  {
    this.dns1 = value;
  }

  public String getDns2()
  {
    return this.dns2;
  }

  public void setDns2(String value)
  {
    this.dns2 = value;
  }

  public String getDnsSuffix()
  {
    return this.dnsSuffix;
  }

  public void setDnsSuffix(String value)
  {
    this.dnsSuffix = value;
  }

  public String getGateway()
  {
    return this.gateway;
  }

  public void setGateway(String value)
  {
    this.gateway = value;
  }

  public Boolean isIsBusy()
  {
    return this.isBusy;
  }

  public void setIsBusy(Boolean value)
  {
    this.isBusy = value;
  }

  public Boolean isIsIpScopeInherited()
  {
    return this.isIpScopeInherited;
  }

  public void setIsIpScopeInherited(Boolean value)
  {
    this.isIpScopeInherited = value;
  }

  public String getName()
  {
    return this.name;
  }

  public void setName(String value)
  {
    this.name = value;
  }

  public String getNetmask()
  {
    return this.netmask;
  }

  public void setNetmask(String value)
  {
    this.netmask = value;
  }

  public String getOrg()
  {
    return this.org;
  }

  public void setOrg(String value)
  {
    this.org = value;
  }

  public String getVApp()
  {
    return this.vApp;
  }

  public void setVApp(String value)
  {
    this.vApp = value;
  }

  public String getVappName()
  {
    return this.vappName;
  }

  public void setVappName(String value)
  {
    this.vappName = value;
  }
}