package com.vmware.vcloud.api.rest.schema;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlType;
import javax.xml.datatype.XMLGregorianCalendar;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="QueryResultCatalogItemRecordType")
public class QueryResultCatalogItemRecordType extends QueryResultRecordType
{

  @XmlAttribute
  protected String catalog;

  @XmlAttribute
  protected String catalogName;

  @XmlAttribute
  protected XMLGregorianCalendar creationDate;

  @XmlAttribute
  protected String entity;

  @XmlAttribute
  protected String entityName;

  @XmlAttribute
  protected String entityType;

  @XmlAttribute
  protected Boolean isExpired;

  @XmlAttribute
  protected Boolean isPublished;

  @XmlAttribute
  protected Boolean isVdcEnabled;

  @XmlAttribute
  protected String name;

  @XmlAttribute
  protected String owner;

  @XmlAttribute
  protected String ownerName;

  @XmlAttribute
  protected String status;

  @XmlAttribute
  protected String vdc;

  @XmlAttribute
  protected String vdcName;

  public String getCatalog()
  {
    return this.catalog;
  }

  public void setCatalog(String value)
  {
    this.catalog = value;
  }

  public String getCatalogName()
  {
    return this.catalogName;
  }

  public void setCatalogName(String value)
  {
    this.catalogName = value;
  }

  public XMLGregorianCalendar getCreationDate()
  {
    return this.creationDate;
  }

  public void setCreationDate(XMLGregorianCalendar value)
  {
    this.creationDate = value;
  }

  public String getEntity()
  {
    return this.entity;
  }

  public void setEntity(String value)
  {
    this.entity = value;
  }

  public String getEntityName()
  {
    return this.entityName;
  }

  public void setEntityName(String value)
  {
    this.entityName = value;
  }

  public String getEntityType()
  {
    return this.entityType;
  }

  public void setEntityType(String value)
  {
    this.entityType = value;
  }

  public Boolean isIsExpired()
  {
    return this.isExpired;
  }

  public void setIsExpired(Boolean value)
  {
    this.isExpired = value;
  }

  public Boolean isIsPublished()
  {
    return this.isPublished;
  }

  public void setIsPublished(Boolean value)
  {
    this.isPublished = value;
  }

  public Boolean isIsVdcEnabled()
  {
    return this.isVdcEnabled;
  }

  public void setIsVdcEnabled(Boolean value)
  {
    this.isVdcEnabled = value;
  }

  public String getName()
  {
    return this.name;
  }

  public void setName(String value)
  {
    this.name = value;
  }

  public String getOwner()
  {
    return this.owner;
  }

  public void setOwner(String value)
  {
    this.owner = value;
  }

  public String getOwnerName()
  {
    return this.ownerName;
  }

  public void setOwnerName(String value)
  {
    this.ownerName = value;
  }

  public String getStatus()
  {
    return this.status;
  }

  public void setStatus(String value)
  {
    this.status = value;
  }

  public String getVdc()
  {
    return this.vdc;
  }

  public void setVdc(String value)
  {
    this.vdc = value;
  }

  public String getVdcName()
  {
    return this.vdcName;
  }

  public void setVdcName(String value)
  {
    this.vdcName = value;
  }
}