package com.vmware.vcloud.api.rest.schema;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlType;
import javax.xml.datatype.XMLGregorianCalendar;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="QueryResultConditionRecordType")
public class QueryResultConditionRecordType extends QueryResultRecordType
{

  @XmlAttribute
  protected String details;

  @XmlAttribute
  protected String object;

  @XmlAttribute
  protected String objectType;

  @XmlAttribute
  protected XMLGregorianCalendar occurenceDate;

  @XmlAttribute
  protected String severity;

  @XmlAttribute
  protected String summary;

  public String getDetails()
  {
    return this.details;
  }

  public void setDetails(String value)
  {
    this.details = value;
  }

  public String getObject()
  {
    return this.object;
  }

  public void setObject(String value)
  {
    this.object = value;
  }

  public String getObjectType()
  {
    return this.objectType;
  }

  public void setObjectType(String value)
  {
    this.objectType = value;
  }

  public XMLGregorianCalendar getOccurenceDate()
  {
    return this.occurenceDate;
  }

  public void setOccurenceDate(XMLGregorianCalendar value)
  {
    this.occurenceDate = value;
  }

  public String getSeverity()
  {
    return this.severity;
  }

  public void setSeverity(String value)
  {
    this.severity = value;
  }

  public String getSummary()
  {
    return this.summary;
  }

  public void setSummary(String value)
  {
    this.summary = value;
  }
}