package com.vmware.vcloud.api.rest.schema;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="QueryResultDatastoreRecordType")
public class QueryResultDatastoreRecordType extends QueryResultRecordType
{

  @XmlAttribute
  protected String datastoreType;

  @XmlAttribute
  protected Boolean isDeleted;

  @XmlAttribute
  protected Boolean isEnabled;

  @XmlAttribute
  protected String moref;

  @XmlAttribute
  protected String name;

  @XmlAttribute
  protected Integer numberOfProviderVdcs;

  @XmlAttribute
  protected Long provisionedStorageMB;

  @XmlAttribute
  protected Long requestedStorageMB;

  @XmlAttribute
  protected Long storageMB;

  @XmlAttribute
  protected Long storageUsedMB;

  @XmlAttribute
  protected String vc;

  @XmlAttribute
  protected String vcName;

  public String getDatastoreType()
  {
    return this.datastoreType;
  }

  public void setDatastoreType(String value)
  {
    this.datastoreType = value;
  }

  public Boolean isIsDeleted()
  {
    return this.isDeleted;
  }

  public void setIsDeleted(Boolean value)
  {
    this.isDeleted = value;
  }

  public Boolean isIsEnabled()
  {
    return this.isEnabled;
  }

  public void setIsEnabled(Boolean value)
  {
    this.isEnabled = value;
  }

  public String getMoref()
  {
    return this.moref;
  }

  public void setMoref(String value)
  {
    this.moref = value;
  }

  public String getName()
  {
    return this.name;
  }

  public void setName(String value)
  {
    this.name = value;
  }

  public Integer getNumberOfProviderVdcs()
  {
    return this.numberOfProviderVdcs;
  }

  public void setNumberOfProviderVdcs(Integer value)
  {
    this.numberOfProviderVdcs = value;
  }

  public Long getProvisionedStorageMB()
  {
    return this.provisionedStorageMB;
  }

  public void setProvisionedStorageMB(Long value)
  {
    this.provisionedStorageMB = value;
  }

  public Long getRequestedStorageMB()
  {
    return this.requestedStorageMB;
  }

  public void setRequestedStorageMB(Long value)
  {
    this.requestedStorageMB = value;
  }

  public Long getStorageMB()
  {
    return this.storageMB;
  }

  public void setStorageMB(Long value)
  {
    this.storageMB = value;
  }

  public Long getStorageUsedMB()
  {
    return this.storageUsedMB;
  }

  public void setStorageUsedMB(Long value)
  {
    this.storageUsedMB = value;
  }

  public String getVc()
  {
    return this.vc;
  }

  public void setVc(String value)
  {
    this.vc = value;
  }

  public String getVcName()
  {
    return this.vcName;
  }

  public void setVcName(String value)
  {
    this.vcName = value;
  }
}