package com.vmware.vcloud.api.rest.schema;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="QueryResultEdgeGatewayRecordType")
public class QueryResultEdgeGatewayRecordType extends QueryResultRecordType
{

  @XmlAttribute
  protected String gatewayStatus;

  @XmlAttribute
  protected String haStatus;

  @XmlAttribute
  protected Boolean isBusy;

  @XmlAttribute
  protected String name;

  @XmlAttribute
  protected Integer numberOfExtNetworks;

  @XmlAttribute
  protected Integer numberOfOrgNetworks;

  @XmlAttribute
  protected String vdc;

  public String getGatewayStatus()
  {
    return this.gatewayStatus;
  }

  public void setGatewayStatus(String value)
  {
    this.gatewayStatus = value;
  }

  public String getHaStatus()
  {
    return this.haStatus;
  }

  public void setHaStatus(String value)
  {
    this.haStatus = value;
  }

  public Boolean isIsBusy()
  {
    return this.isBusy;
  }

  public void setIsBusy(Boolean value)
  {
    this.isBusy = value;
  }

  public String getName()
  {
    return this.name;
  }

  public void setName(String value)
  {
    this.name = value;
  }

  public Integer getNumberOfExtNetworks()
  {
    return this.numberOfExtNetworks;
  }

  public void setNumberOfExtNetworks(Integer value)
  {
    this.numberOfExtNetworks = value;
  }

  public Integer getNumberOfOrgNetworks()
  {
    return this.numberOfOrgNetworks;
  }

  public void setNumberOfOrgNetworks(Integer value)
  {
    this.numberOfOrgNetworks = value;
  }

  public String getVdc()
  {
    return this.vdc;
  }

  public void setVdc(String value)
  {
    this.vdc = value;
  }
}