package com.vmware.vcloud.api.rest.schema;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="QueryResultHostRecordType")
public class QueryResultHostRecordType extends QueryResultRecordType
{

  @XmlAttribute
  protected Boolean isBusy;

  @XmlAttribute
  protected Boolean isCrossHostEnabled;

  @XmlAttribute
  protected Boolean isDeleted;

  @XmlAttribute
  protected Boolean isEnabled;

  @XmlAttribute
  protected Boolean isHung;

  @XmlAttribute
  protected Boolean isInMaintenanceMode;

  @XmlAttribute
  protected Boolean isPendingUpgrade;

  @XmlAttribute
  protected Boolean isPrepared;

  @XmlAttribute
  protected Boolean isSupported;

  @XmlAttribute
  protected String name;

  @XmlAttribute
  protected Integer numberOfVMs;

  @XmlAttribute
  protected String osVersion;

  @XmlAttribute
  protected Integer state;

  @XmlAttribute
  protected String vc;

  @XmlAttribute
  protected String vcName;

  public Boolean isIsBusy()
  {
    return this.isBusy;
  }

  public void setIsBusy(Boolean value)
  {
    this.isBusy = value;
  }

  public Boolean isIsCrossHostEnabled()
  {
    return this.isCrossHostEnabled;
  }

  public void setIsCrossHostEnabled(Boolean value)
  {
    this.isCrossHostEnabled = value;
  }

  public Boolean isIsDeleted()
  {
    return this.isDeleted;
  }

  public void setIsDeleted(Boolean value)
  {
    this.isDeleted = value;
  }

  public Boolean isIsEnabled()
  {
    return this.isEnabled;
  }

  public void setIsEnabled(Boolean value)
  {
    this.isEnabled = value;
  }

  public Boolean isIsHung()
  {
    return this.isHung;
  }

  public void setIsHung(Boolean value)
  {
    this.isHung = value;
  }

  public Boolean isIsInMaintenanceMode()
  {
    return this.isInMaintenanceMode;
  }

  public void setIsInMaintenanceMode(Boolean value)
  {
    this.isInMaintenanceMode = value;
  }

  public Boolean isIsPendingUpgrade()
  {
    return this.isPendingUpgrade;
  }

  public void setIsPendingUpgrade(Boolean value)
  {
    this.isPendingUpgrade = value;
  }

  public Boolean isIsPrepared()
  {
    return this.isPrepared;
  }

  public void setIsPrepared(Boolean value)
  {
    this.isPrepared = value;
  }

  public Boolean isIsSupported()
  {
    return this.isSupported;
  }

  public void setIsSupported(Boolean value)
  {
    this.isSupported = value;
  }

  public String getName()
  {
    return this.name;
  }

  public void setName(String value)
  {
    this.name = value;
  }

  public Integer getNumberOfVMs()
  {
    return this.numberOfVMs;
  }

  public void setNumberOfVMs(Integer value)
  {
    this.numberOfVMs = value;
  }

  public String getOsVersion()
  {
    return this.osVersion;
  }

  public void setOsVersion(String value)
  {
    this.osVersion = value;
  }

  public Integer getState()
  {
    return this.state;
  }

  public void setState(Integer value)
  {
    this.state = value;
  }

  public String getVc()
  {
    return this.vc;
  }

  public void setVc(String value)
  {
    this.vc = value;
  }

  public String getVcName()
  {
    return this.vcName;
  }

  public void setVcName(String value)
  {
    this.vcName = value;
  }
}