package com.vmware.vcloud.api.rest.schema;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="QueryResultVAppNetworkRecordType")
public class QueryResultVAppNetworkRecordType extends QueryResultRecordType
{

  @XmlAttribute
  protected String dns1;

  @XmlAttribute
  protected String dns2;

  @XmlAttribute
  protected String dnsSuffix;

  @XmlAttribute
  protected String gateway;

  @XmlAttribute
  protected String ipScopeId;

  @XmlAttribute
  protected Boolean isBusy;

  @XmlAttribute
  protected Boolean isIpScopeInherited;

  @XmlAttribute
  protected String name;

  @XmlAttribute
  protected String netmask;

  @XmlAttribute
  protected String vApp;

  @XmlAttribute
  protected String vAppName;

  public String getDns1()
  {
    return this.dns1;
  }

  public void setDns1(String value)
  {
    this.dns1 = value;
  }

  public String getDns2()
  {
    return this.dns2;
  }

  public void setDns2(String value)
  {
    this.dns2 = value;
  }

  public String getDnsSuffix()
  {
    return this.dnsSuffix;
  }

  public void setDnsSuffix(String value)
  {
    this.dnsSuffix = value;
  }

  public String getGateway()
  {
    return this.gateway;
  }

  public void setGateway(String value)
  {
    this.gateway = value;
  }

  public String getIpScopeId()
  {
    return this.ipScopeId;
  }

  public void setIpScopeId(String value)
  {
    this.ipScopeId = value;
  }

  public Boolean isIsBusy()
  {
    return this.isBusy;
  }

  public void setIsBusy(Boolean value)
  {
    this.isBusy = value;
  }

  public Boolean isIsIpScopeInherited()
  {
    return this.isIpScopeInherited;
  }

  public void setIsIpScopeInherited(Boolean value)
  {
    this.isIpScopeInherited = value;
  }

  public String getName()
  {
    return this.name;
  }

  public void setName(String value)
  {
    this.name = value;
  }

  public String getNetmask()
  {
    return this.netmask;
  }

  public void setNetmask(String value)
  {
    this.netmask = value;
  }

  public String getVApp()
  {
    return this.vApp;
  }

  public void setVApp(String value)
  {
    this.vApp = value;
  }

  public String getVAppName()
  {
    return this.vAppName;
  }

  public void setVAppName(String value)
  {
    this.vAppName = value;
  }
}