package com.vmware.vcloud.api.rest.schema;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="QueryResultVMRecordType")
public class QueryResultVMRecordType extends QueryResultRecordType
{

  @XmlAttribute
  protected String catalogName;

  @XmlAttribute
  protected String container;

  @XmlAttribute
  protected String containerName;

  @XmlAttribute
  protected String guestOs;

  @XmlAttribute
  protected Integer hardwareVersion;

  @XmlAttribute
  protected Boolean isBusy;

  @XmlAttribute
  protected Boolean isDeleted;

  @XmlAttribute
  protected Boolean isDeployed;

  @XmlAttribute
  protected Boolean isInMaintenanceMode;

  @XmlAttribute
  protected Boolean isPublished;

  @XmlAttribute
  protected Boolean isVAppTemplate;

  @XmlAttribute
  protected Integer memoryMB;

  @XmlAttribute
  protected String name;

  @XmlAttribute
  protected Integer numberOfCpus;

  @XmlAttribute
  protected String status;

  @XmlAttribute
  protected String storageProfileName;

  @XmlAttribute
  protected String vdc;

  public String getCatalogName()
  {
    return this.catalogName;
  }

  public void setCatalogName(String value)
  {
    this.catalogName = value;
  }

  public String getContainer()
  {
    return this.container;
  }

  public void setContainer(String value)
  {
    this.container = value;
  }

  public String getContainerName()
  {
    return this.containerName;
  }

  public void setContainerName(String value)
  {
    this.containerName = value;
  }

  public String getGuestOs()
  {
    return this.guestOs;
  }

  public void setGuestOs(String value)
  {
    this.guestOs = value;
  }

  public Integer getHardwareVersion()
  {
    return this.hardwareVersion;
  }

  public void setHardwareVersion(Integer value)
  {
    this.hardwareVersion = value;
  }

  public Boolean isIsBusy()
  {
    return this.isBusy;
  }

  public void setIsBusy(Boolean value)
  {
    this.isBusy = value;
  }

  public Boolean isIsDeleted()
  {
    return this.isDeleted;
  }

  public void setIsDeleted(Boolean value)
  {
    this.isDeleted = value;
  }

  public Boolean isIsDeployed()
  {
    return this.isDeployed;
  }

  public void setIsDeployed(Boolean value)
  {
    this.isDeployed = value;
  }

  public Boolean isIsInMaintenanceMode()
  {
    return this.isInMaintenanceMode;
  }

  public void setIsInMaintenanceMode(Boolean value)
  {
    this.isInMaintenanceMode = value;
  }

  public Boolean isIsPublished()
  {
    return this.isPublished;
  }

  public void setIsPublished(Boolean value)
  {
    this.isPublished = value;
  }

  public Boolean isIsVAppTemplate()
  {
    return this.isVAppTemplate;
  }

  public void setIsVAppTemplate(Boolean value)
  {
    this.isVAppTemplate = value;
  }

  public Integer getMemoryMB()
  {
    return this.memoryMB;
  }

  public void setMemoryMB(Integer value)
  {
    this.memoryMB = value;
  }

  public String getName()
  {
    return this.name;
  }

  public void setName(String value)
  {
    this.name = value;
  }

  public Integer getNumberOfCpus()
  {
    return this.numberOfCpus;
  }

  public void setNumberOfCpus(Integer value)
  {
    this.numberOfCpus = value;
  }

  public String getStatus()
  {
    return this.status;
  }

  public void setStatus(String value)
  {
    this.status = value;
  }

  public String getStorageProfileName()
  {
    return this.storageProfileName;
  }

  public void setStorageProfileName(String value)
  {
    this.storageProfileName = value;
  }

  public String getVdc()
  {
    return this.vdc;
  }

  public void setVdc(String value)
  {
    this.vdc = value;
  }
}