package com.vmware.vcloud.api.rest.schema;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="ServiceType", propOrder={"namespace", "vendor"})
public class ServiceType extends EntityType
{

  @XmlElement(name="Namespace")
  protected String namespace;

  @XmlElement(name="Vendor")
  protected String vendor;

  public String getNamespace()
  {
    return this.namespace;
  }

  public void setNamespace(String value)
  {
    this.namespace = value;
  }

  public String getVendor()
  {
    return this.vendor;
  }

  public void setVendor(String value)
  {
    this.vendor = value;
  }
}