package com.vmware.vcloud.api.rest.schema;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="TaskOperationListType", propOrder={"operation"})
public class TaskOperationListType extends ResourceType
{

  @XmlElement(name="Operation")
  protected List<String> operation;

  public List<String> getOperation()
  {
    if (this.operation == null) {
      this.operation = new ArrayList();
    }
    return this.operation;
  }
}