package com.vmware.vcloud.api.rest.schema;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="VdcStorageProfileType", propOrder={"enabled", "units", "limit", "_default"})
public class VdcStorageProfileType extends EntityType
{

  @XmlElement(name="Enabled")
  protected Boolean enabled;

  @XmlElement(name="Units", required=true)
  protected String units;

  @XmlElement(name="Limit")
  protected long limit;

  @XmlElement(name="Default")
  protected boolean _default;

  public Boolean isEnabled()
  {
    return this.enabled;
  }

  public void setEnabled(Boolean value)
  {
    this.enabled = value;
  }

  public String getUnits()
  {
    return this.units;
  }

  public void setUnits(String value)
  {
    this.units = value;
  }

  public long getLimit()
  {
    return this.limit;
  }

  public void setLimit(long value)
  {
    this.limit = value;
  }

  public boolean isDefault()
  {
    return this._default;
  }

  public void setDefault(boolean value)
  {
    this._default = value;
  }
}