package com.vmware.vcloud.api.rest.schema;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="VersionsType", propOrder={"version"})
public class VersionsType extends VCloudExtensibleType
{

  @XmlElement(name="Version")
  protected List<String> version;

  public List<String> getVersion()
  {
    if (this.version == null) {
      this.version = new ArrayList();
    }
    return this.version;
  }
}