package com.vmware.vcloud.api.rest.schema.extension;

import com.vmware.vcloud.api.rest.schema.ReferenceType;
import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElementRef;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="EntityReferencesType", propOrder={"reference"})
public class EntityReferencesType
{

  @XmlElementRef(name="Reference", namespace="http://www.vmware.com/vcloud/v1.5", type=JAXBElement.class)
  protected List<JAXBElement<ReferenceType>> reference;

  public List<JAXBElement<ReferenceType>> getReference()
  {
    if (this.reference == null) {
      this.reference = new ArrayList();
    }
    return this.reference;
  }
}