package com.vmware.vcloud.api.rest.schema.extension;

import com.vmware.vcloud.api.rest.schema.EntityType;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="ResourceClassActionType", propOrder={"httpMethod", "urlPattern", "aclRules"})
public class ResourceClassActionType extends EntityType
{

  @XmlElement(name="HttpMethod")
  protected String httpMethod;

  @XmlElement(name="UrlPattern")
  protected String urlPattern;

  @XmlElement(name="AclRules")
  protected AclRulesType aclRules;

  public String getHttpMethod()
  {
    return this.httpMethod;
  }

  public void setHttpMethod(String value)
  {
    this.httpMethod = value;
  }

  public String getUrlPattern()
  {
    return this.urlPattern;
  }

  public void setUrlPattern(String value)
  {
    this.urlPattern = value;
  }

  public AclRulesType getAclRules()
  {
    return this.aclRules;
  }

  public void setAclRules(AclRulesType value)
  {
    this.aclRules = value;
  }
}