package com.vmware.vcloud.api.rest.schema.extension;

import com.vmware.vcloud.api.rest.schema.ReferenceType;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="ShieldManagerType", propOrder={"associatedVimServer"})
public class ShieldManagerType extends ServerType
{

  @XmlElement(name="AssociatedVimServer")
  protected ReferenceType associatedVimServer;

  public ReferenceType getAssociatedVimServer()
  {
    return this.associatedVimServer;
  }

  public void setAssociatedVimServer(ReferenceType value)
  {
    this.associatedVimServer = value;
  }
}