package com.vmware.vcloud.api.rest.schema.extension;

import com.vmware.vcloud.api.rest.schema.ResourceType;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="SmtpSettingsType", propOrder={"useAuthentication", "smtpServerName", "smtpServerPort", "ssl", "userName", "password"})
public class SmtpSettingsType extends ResourceType
{

  @XmlElement(name="UseAuthentication")
  protected boolean useAuthentication;

  @XmlElement(name="SmtpServerName")
  protected String smtpServerName;

  @XmlElement(name="SmtpServerPort")
  protected Integer smtpServerPort;
  protected Boolean ssl;

  @XmlElement(name="UserName")
  protected String userName;

  @XmlElement(name="Password")
  protected String password;

  public boolean isUseAuthentication()
  {
    return this.useAuthentication;
  }

  public void setUseAuthentication(boolean value)
  {
    this.useAuthentication = value;
  }

  public String getSmtpServerName()
  {
    return this.smtpServerName;
  }

  public void setSmtpServerName(String value)
  {
    this.smtpServerName = value;
  }

  public Integer getSmtpServerPort()
  {
    return this.smtpServerPort;
  }

  public void setSmtpServerPort(Integer value)
  {
    this.smtpServerPort = value;
  }

  public Boolean isSsl()
  {
    return this.ssl;
  }

  public void setSsl(Boolean value)
  {
    this.ssl = value;
  }

  public String getUserName()
  {
    return this.userName;
  }

  public void setUserName(String value)
  {
    this.userName = value;
  }

  public String getPassword()
  {
    return this.password;
  }

  public void setPassword(String value)
  {
    this.password = value;
  }
}