package com.vmware.vcloud.api.rest.schema.extension;

import com.vmware.vcloud.api.rest.schema.ResourceType;
import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="VMWProviderVdcResourcePoolSetType", propOrder={"vmwProviderVdcResourcePool"})
public class VMWProviderVdcResourcePoolSetType extends ResourceType
{

  @XmlElement(name="VMWProviderVdcResourcePool")
  protected List<VMWProviderVdcResourcePoolType> vmwProviderVdcResourcePool;

  public List<VMWProviderVdcResourcePoolType> getVMWProviderVdcResourcePool()
  {
    if (this.vmwProviderVdcResourcePool == null) {
      this.vmwProviderVdcResourcePool = new ArrayList();
    }
    return this.vmwProviderVdcResourcePool;
  }
}