package com.vmware.vcloud.api.rest.schema.extension;

import com.vmware.vcloud.api.rest.schema.ReferenceType;
import com.vmware.vcloud.api.rest.schema.ResourceType;
import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="VMWVimServerReferencesType", propOrder={"vimServerReference"})
public class VMWVimServerReferencesType extends ResourceType
{

  @XmlElement(name="VimServerReference")
  protected List<ReferenceType> vimServerReference;

  public List<ReferenceType> getVimServerReference()
  {
    if (this.vimServerReference == null) {
      this.vimServerReference = new ArrayList();
    }
    return this.vimServerReference;
  }
}