package com.vmware.vcloud.api.rest.schema.ovf;

import java.util.HashMap;
import java.util.Map;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAnyAttribute;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.namespace.QName;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="", propOrder={"description"})
public class Network
{

  @XmlElement(name="Description")
  protected MsgType description;

  @XmlAttribute(namespace="http://schemas.dmtf.org/ovf/envelope/1", required=true)
  protected String name;

  @XmlAnyAttribute
  private Map<QName, String> otherAttributes = new HashMap();

  public MsgType getDescription()
  {
    return this.description;
  }

  public void setDescription(MsgType value)
  {
    this.description = value;
  }

  public String getName()
  {
    return this.name;
  }

  public void setName(String value)
  {
    this.name = value;
  }

  public Map<QName, String> getOtherAttributes()
  {
    return this.otherAttributes;
  }
}