package com.vmware.vcloud.api.rest.schema.ovf;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;
import javax.xml.namespace.QName;
import org.w3._2001.xmlschema.Adapter1;

@XmlRegistry
public class ObjectFactory
{
  private static final QName _VirtualSystemCollection_QNAME = new QName("http://schemas.dmtf.org/ovf/envelope/1", "VirtualSystemCollection");
  private static final QName _Connection_QNAME = new QName("http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData", "Connection");
  private static final QName _Notes_QNAME = new QName("http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData", "Notes");
  private static final QName _VirtualQuantity_QNAME = new QName("http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData", "VirtualQuantity");
  private static final QName _AutomaticDeallocation_QNAME = new QName("http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData", "AutomaticDeallocation");
  private static final QName _Weight_QNAME = new QName("http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData", "Weight");
  private static final QName _Parent_QNAME = new QName("http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData", "Parent");
  private static final QName _AutomaticStartupActionDelay_QNAME = new QName("http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData", "AutomaticStartupActionDelay");
  private static final QName _ResourceType_QNAME = new QName("http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData", "ResourceType");
  private static final QName _SnapshotDataRoot_QNAME = new QName("http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData", "SnapshotDataRoot");
  private static final QName _InstanceID_QNAME = new QName("http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData", "InstanceID");
  private static final QName _ElementName_QNAME = new QName("http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData", "ElementName");
  private static final QName _CIMVirtualSystemSettingData_QNAME = new QName("http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData", "CIM_VirtualSystemSettingData");
  private static final QName _ConfigurationFile_QNAME = new QName("http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData", "ConfigurationFile");
  private static final QName _SuspendDataRoot_QNAME = new QName("http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData", "SuspendDataRoot");
  private static final QName _DiskSection_QNAME = new QName("http://schemas.dmtf.org/ovf/envelope/1", "DiskSection");
  private static final QName _SwapFileDataRoot_QNAME = new QName("http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData", "SwapFileDataRoot");
  private static final QName _Section_QNAME = new QName("http://schemas.dmtf.org/ovf/envelope/1", "Section");
  private static final QName _ConsumerVisibility_QNAME = new QName("http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData", "ConsumerVisibility");
  private static final QName _Description_QNAME = new QName("http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData", "Description");
  private static final QName _ProductSection_QNAME = new QName("http://schemas.dmtf.org/ovf/envelope/1", "ProductSection");
  private static final QName _Envelope_QNAME = new QName("http://schemas.dmtf.org/ovf/envelope/1", "Envelope");
  private static final QName _ConfigurationID_QNAME = new QName("http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData", "ConfigurationID");
  private static final QName _AllocationUnits_QNAME = new QName("http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData", "AllocationUnits");
  private static final QName _AnnotationSection_QNAME = new QName("http://schemas.dmtf.org/ovf/envelope/1", "AnnotationSection");
  private static final QName _EulaSection_QNAME = new QName("http://schemas.dmtf.org/ovf/envelope/1", "EulaSection");
  private static final QName _InstallSection_QNAME = new QName("http://schemas.dmtf.org/ovf/envelope/1", "InstallSection");
  private static final QName _VirtualSystemIdentifier_QNAME = new QName("http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData", "VirtualSystemIdentifier");
  private static final QName _AutomaticStartupActionSequenceNumber_QNAME = new QName("http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData", "AutomaticStartupActionSequenceNumber");
  private static final QName _Reservation_QNAME = new QName("http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData", "Reservation");
  private static final QName _AutomaticRecoveryAction_QNAME = new QName("http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData", "AutomaticRecoveryAction");
  private static final QName _AutomaticStartupAction_QNAME = new QName("http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData", "AutomaticStartupAction");
  private static final QName _ConfigurationName_QNAME = new QName("http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData", "ConfigurationName");
  private static final QName _CreationTime_QNAME = new QName("http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData", "CreationTime");
  private static final QName _CIMResourceAllocationSettingData_QNAME = new QName("http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData", "CIM_ResourceAllocationSettingData");
  private static final QName _DefaultValue_QNAME = new QName("http://schemas.dmtf.org/wbem/wscim/1/common", "DefaultValue");
  private static final QName _VirtualSystem_QNAME = new QName("http://schemas.dmtf.org/ovf/envelope/1", "VirtualSystem");
  private static final QName _VirtualHardwareSection_QNAME = new QName("http://schemas.dmtf.org/ovf/envelope/1", "VirtualHardwareSection");
  private static final QName _VirtualSystemType_QNAME = new QName("http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData", "VirtualSystemType");
  private static final QName _Content_QNAME = new QName("http://schemas.dmtf.org/ovf/envelope/1", "Content");
  private static final QName _ConfigurationDataRoot_QNAME = new QName("http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData", "ConfigurationDataRoot");
  private static final QName _LogDataRoot_QNAME = new QName("http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData", "LogDataRoot");
  private static final QName _MappingBehavior_QNAME = new QName("http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData", "MappingBehavior");
  private static final QName _NetworkSection_QNAME = new QName("http://schemas.dmtf.org/ovf/envelope/1", "NetworkSection");
  private static final QName _Address_QNAME = new QName("http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData", "Address");
  private static final QName _PoolID_QNAME = new QName("http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData", "PoolID");
  private static final QName _AddressOnParent_QNAME = new QName("http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData", "AddressOnParent");
  private static final QName _ResourceSubType_QNAME = new QName("http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData", "ResourceSubType");
  private static final QName _StartupSection_QNAME = new QName("http://schemas.dmtf.org/ovf/envelope/1", "StartupSection");
  private static final QName _AutomaticAllocation_QNAME = new QName("http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData", "AutomaticAllocation");
  private static final QName _ResourceAllocationSection_QNAME = new QName("http://schemas.dmtf.org/ovf/envelope/1", "ResourceAllocationSection");
  private static final QName _Strings_QNAME = new QName("http://schemas.dmtf.org/ovf/envelope/1", "Strings");
  private static final QName _Generation_QNAME = new QName("http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData", "Generation");
  private static final QName _RecoveryFile_QNAME = new QName("http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData", "RecoveryFile");
  private static final QName _AutomaticShutdownAction_QNAME = new QName("http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData", "AutomaticShutdownAction");
  private static final QName _Limit_QNAME = new QName("http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData", "Limit");
  private static final QName _DeploymentOptionSection_QNAME = new QName("http://schemas.dmtf.org/ovf/envelope/1", "DeploymentOptionSection");
  private static final QName _OtherResourceType_QNAME = new QName("http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData", "OtherResourceType");
  private static final QName _OperatingSystemSection_QNAME = new QName("http://schemas.dmtf.org/ovf/envelope/1", "OperatingSystemSection");
  private static final QName _VirtualQuantityUnits_QNAME = new QName("http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData", "VirtualQuantityUnits");
  private static final QName _HostResource_QNAME = new QName("http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData", "HostResource");
  private static final QName _CimDateTimeCIMDateTime_QNAME = new QName("http://schemas.dmtf.org/wbem/wscim/1/common", "CIM_DateTime");

  public CimShort createCimShort()
  {
    return new CimShort();
  }

  public NetworkSectionNetwork createNetworkSectionNetwork()
  {
    return new NetworkSectionNetwork();
  }

  public CimUnsignedInt createCimUnsignedInt()
  {
    return new CimUnsignedInt();
  }

  public NetworkSectionType createNetworkSectionType()
  {
    return new NetworkSectionType();
  }

  public StringsType createStringsType()
  {
    return new StringsType();
  }

  public CimReference createCimReference()
  {
    return new CimReference();
  }

  public CimLong createCimLong()
  {
    return new CimLong();
  }

  public CimDateTime createCimDateTime()
  {
    return new CimDateTime();
  }

  public AutomaticShutdownAction createAutomaticShutdownAction()
  {
    return new AutomaticShutdownAction();
  }

  public MappingBehavior createMappingBehavior()
  {
    return new MappingBehavior();
  }

  public VirtualSystemChangeableTypeType createVirtualSystemChangeableTypeType()
  {
    return new VirtualSystemChangeableTypeType();
  }

  public Icon createIcon()
  {
    return new Icon();
  }

  public VirtualHardwareSectionType createVirtualHardwareSectionType()
  {
    return new VirtualHardwareSectionType();
  }

  public CimFloat createCimFloat()
  {
    return new CimFloat();
  }

  public CimDouble createCimDouble()
  {
    return new CimDouble();
  }

  public QualifierUInt32 createQualifierUInt32()
  {
    return new QualifierUInt32();
  }

  public RASDType createRASDType()
  {
    return new RASDType();
  }

  public ResourceType createResourceType()
  {
    return new ResourceType();
  }

  public StartupSectionItem createStartupSectionItem()
  {
    return new StartupSectionItem();
  }

  public CimUnsignedShort createCimUnsignedShort()
  {
    return new CimUnsignedShort();
  }

  public CimHexBinary createCimHexBinary()
  {
    return new CimHexBinary();
  }

  public CimBoolean createCimBoolean()
  {
    return new CimBoolean();
  }

  public ProductSectionType createProductSectionType()
  {
    return new ProductSectionType();
  }

  public CimAnySimpleType createCimAnySimpleType()
  {
    return new CimAnySimpleType();
  }

  public QualifierBoolean createQualifierBoolean()
  {
    return new QualifierBoolean();
  }

  public CimInt createCimInt()
  {
    return new CimInt();
  }

  public VirtualSystemType createVirtualSystemType()
  {
    return new VirtualSystemType();
  }

  public AutomaticRecoveryAction createAutomaticRecoveryAction()
  {
    return new AutomaticRecoveryAction();
  }

  public CimByte createCimByte()
  {
    return new CimByte();
  }

  public StringsMsg createStringsMsg()
  {
    return new StringsMsg();
  }

  public CimString createCimString()
  {
    return new CimString();
  }

  public ResourceAllocationCaptionType createResourceAllocationCaptionType()
  {
    return new ResourceAllocationCaptionType();
  }

  public ResourceAllocationChangeableTypeType createResourceAllocationChangeableTypeType()
  {
    return new ResourceAllocationChangeableTypeType();
  }

  public Configuration createConfiguration()
  {
    return new Configuration();
  }

  public EulaSectionType createEulaSectionType()
  {
    return new EulaSectionType();
  }

  public CIMResourceAllocationSettingDataType createCIMResourceAllocationSettingDataType()
  {
    return new CIMResourceAllocationSettingDataType();
  }

  public QualifierSArray createQualifierSArray()
  {
    return new QualifierSArray();
  }

  public ReferencesType createReferencesType()
  {
    return new ReferencesType();
  }

  public DiskSectionType createDiskSectionType()
  {
    return new DiskSectionType();
  }

  public QualifierString createQualifierString()
  {
    return new QualifierString();
  }

  public ConsumerVisibility createConsumerVisibility()
  {
    return new ConsumerVisibility();
  }

  public DeploymentOptionSectionType createDeploymentOptionSectionType()
  {
    return new DeploymentOptionSectionType();
  }

  public CimUnsignedByte createCimUnsignedByte()
  {
    return new CimUnsignedByte();
  }

  public MsgType createMsgType()
  {
    return new MsgType();
  }

  public CIMVirtualSystemSettingDataType createCIMVirtualSystemSettingDataType()
  {
    return new CIMVirtualSystemSettingDataType();
  }

  public ResourceAllocationSectionType createResourceAllocationSectionType()
  {
    return new ResourceAllocationSectionType();
  }

  public StartupSectionType createStartupSectionType()
  {
    return new StartupSectionType();
  }

  public CimChar16 createCimChar16()
  {
    return new CimChar16();
  }

  public Msg createMsg()
  {
    return new Msg();
  }

  public CimBase64Binary createCimBase64Binary()
  {
    return new CimBase64Binary();
  }

  public DeploymentOptionSectionConfiguration createDeploymentOptionSectionConfiguration()
  {
    return new DeploymentOptionSectionConfiguration();
  }

  public ProductSectionIcon createProductSectionIcon()
  {
    return new ProductSectionIcon();
  }

  public QualifierSInt64 createQualifierSInt64()
  {
    return new QualifierSInt64();
  }

  public Item createItem()
  {
    return new Item();
  }

  public CimUnsignedLong createCimUnsignedLong()
  {
    return new CimUnsignedLong();
  }

  public OperatingSystemSectionType createOperatingSystemSectionType()
  {
    return new OperatingSystemSectionType();
  }

  public ProductSectionProperty createProductSectionProperty()
  {
    return new ProductSectionProperty();
  }

  public EnvelopeType createEnvelopeType()
  {
    return new EnvelopeType();
  }

  public VirtualSystemCaptionType createVirtualSystemCaptionType()
  {
    return new VirtualSystemCaptionType();
  }

  public VSSDType createVSSDType()
  {
    return new VSSDType();
  }

  public VirtualDiskDescType createVirtualDiskDescType()
  {
    return new VirtualDiskDescType();
  }

  public AnnotationSectionType createAnnotationSectionType()
  {
    return new AnnotationSectionType();
  }

  public Property createProperty()
  {
    return new Property();
  }

  public PropertyConfigurationValueType createPropertyConfigurationValueType()
  {
    return new PropertyConfigurationValueType();
  }

  public Network createNetwork()
  {
    return new Network();
  }

  public FileType createFileType()
  {
    return new FileType();
  }

  public AutomaticStartupAction createAutomaticStartupAction()
  {
    return new AutomaticStartupAction();
  }

  public InstallSectionType createInstallSectionType()
  {
    return new InstallSectionType();
  }

  public VirtualSystemCollectionType createVirtualSystemCollectionType()
  {
    return new VirtualSystemCollectionType();
  }

  @XmlElementDecl(namespace="http://schemas.dmtf.org/ovf/envelope/1", name="VirtualSystemCollection", substitutionHeadNamespace="http://schemas.dmtf.org/ovf/envelope/1", substitutionHeadName="Content")
  public JAXBElement<VirtualSystemCollectionType> createVirtualSystemCollection(VirtualSystemCollectionType value)
  {
    return new JAXBElement(_VirtualSystemCollection_QNAME, VirtualSystemCollectionType.class, null, value);
  }

  @XmlElementDecl(namespace="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData", name="Description")
  public VirtualSystemDescription createVirtualSystemDescription(CimString value)
  {
    return new VirtualSystemDescription(value);
  }

  @XmlElementDecl(namespace="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData", name="ChangeableType")
  public ResourceAllocationChangeableType createResourceAllocationChangeableType(ResourceAllocationChangeableTypeType value)
  {
    return new ResourceAllocationChangeableType(value);
  }

  @XmlElementDecl(namespace="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData", name="Connection")
  public JAXBElement<CimString> createConnection(CimString value)
  {
    return new JAXBElement(_Connection_QNAME, CimString.class, null, value);
  }

  @XmlElementDecl(namespace="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData", name="ElementName")
  public VirtualSystemElementName createVirtualSystemElementName(CimString value)
  {
    return new VirtualSystemElementName(value);
  }

  @XmlElementDecl(namespace="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData", name="Notes")
  public JAXBElement<CimString> createNotes(CimString value)
  {
    return new JAXBElement(_Notes_QNAME, CimString.class, null, value);
  }

  @XmlElementDecl(namespace="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData", name="VirtualQuantity")
  public JAXBElement<CimUnsignedLong> createVirtualQuantity(CimUnsignedLong value)
  {
    return new JAXBElement(_VirtualQuantity_QNAME, CimUnsignedLong.class, null, value);
  }

  @XmlElementDecl(namespace="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData", name="AutomaticDeallocation")
  public JAXBElement<CimBoolean> createAutomaticDeallocation(CimBoolean value)
  {
    return new JAXBElement(_AutomaticDeallocation_QNAME, CimBoolean.class, null, value);
  }

  @XmlElementDecl(namespace="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData", name="Weight")
  public JAXBElement<CimUnsignedInt> createWeight(CimUnsignedInt value)
  {
    return new JAXBElement(_Weight_QNAME, CimUnsignedInt.class, null, value);
  }

  @XmlElementDecl(namespace="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData", name="Parent")
  public JAXBElement<CimString> createParent(CimString value)
  {
    return new JAXBElement(_Parent_QNAME, CimString.class, null, value);
  }

  @XmlElementDecl(namespace="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData", name="AutomaticStartupActionDelay")
  public JAXBElement<CimDateTime> createAutomaticStartupActionDelay(CimDateTime value)
  {
    return new JAXBElement(_AutomaticStartupActionDelay_QNAME, CimDateTime.class, null, value);
  }

  @XmlElementDecl(namespace="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData", name="ResourceType")
  public JAXBElement<ResourceType> createResourceType(ResourceType value)
  {
    return new JAXBElement(_ResourceType_QNAME, ResourceType.class, null, value);
  }

  @XmlElementDecl(namespace="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData", name="SnapshotDataRoot")
  public JAXBElement<CimString> createSnapshotDataRoot(CimString value)
  {
    return new JAXBElement(_SnapshotDataRoot_QNAME, CimString.class, null, value);
  }

  @XmlElementDecl(namespace="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData", name="InstanceID")
  public JAXBElement<CimString> createInstanceID(CimString value)
  {
    return new JAXBElement(_InstanceID_QNAME, CimString.class, null, value);
  }

  @XmlElementDecl(namespace="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData", name="ElementName")
  public JAXBElement<CimString> createElementName(CimString value)
  {
    return new JAXBElement(_ElementName_QNAME, CimString.class, null, value);
  }

  @XmlElementDecl(namespace="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData", name="CIM_VirtualSystemSettingData")
  public JAXBElement<CIMVirtualSystemSettingDataType> createCIMVirtualSystemSettingData(CIMVirtualSystemSettingDataType value)
  {
    return new JAXBElement(_CIMVirtualSystemSettingData_QNAME, CIMVirtualSystemSettingDataType.class, null, value);
  }

  @XmlElementDecl(namespace="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData", name="ConfigurationFile")
  public JAXBElement<CimString> createConfigurationFile(CimString value)
  {
    return new JAXBElement(_ConfigurationFile_QNAME, CimString.class, null, value);
  }

  @XmlElementDecl(namespace="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData", name="SuspendDataRoot")
  public JAXBElement<CimString> createSuspendDataRoot(CimString value)
  {
    return new JAXBElement(_SuspendDataRoot_QNAME, CimString.class, null, value);
  }

  @XmlElementDecl(namespace="http://schemas.dmtf.org/ovf/envelope/1", name="DiskSection", substitutionHeadNamespace="http://schemas.dmtf.org/ovf/envelope/1", substitutionHeadName="Section")
  public JAXBElement<DiskSectionType> createDiskSection(DiskSectionType value)
  {
    return new JAXBElement(_DiskSection_QNAME, DiskSectionType.class, null, value);
  }

  @XmlElementDecl(namespace="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData", name="SwapFileDataRoot")
  public JAXBElement<CimString> createSwapFileDataRoot(CimString value)
  {
    return new JAXBElement(_SwapFileDataRoot_QNAME, CimString.class, null, value);
  }

  @XmlElementDecl(namespace="http://schemas.dmtf.org/ovf/envelope/1", name="Section")
  public JAXBElement<SectionType> createSection(SectionType value)
  {
    return new JAXBElement(_Section_QNAME, SectionType.class, null, value);
  }

  @XmlElementDecl(namespace="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData", name="ChangeableType")
  public VirtualSystemChangeableType createVirtualSystemChangeableType(VirtualSystemChangeableTypeType value)
  {
    return new VirtualSystemChangeableType(value);
  }

  @XmlElementDecl(namespace="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData", name="ConsumerVisibility")
  public JAXBElement<ConsumerVisibility> createConsumerVisibility(ConsumerVisibility value)
  {
    return new JAXBElement(_ConsumerVisibility_QNAME, ConsumerVisibility.class, null, value);
  }

  @XmlElementDecl(namespace="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData", name="Description")
  public JAXBElement<CimString> createDescription(CimString value)
  {
    return new JAXBElement(_Description_QNAME, CimString.class, null, value);
  }

  @XmlElementDecl(namespace="http://schemas.dmtf.org/ovf/envelope/1", name="ProductSection", substitutionHeadNamespace="http://schemas.dmtf.org/ovf/envelope/1", substitutionHeadName="Section")
  public JAXBElement<ProductSectionType> createProductSection(ProductSectionType value)
  {
    return new JAXBElement(_ProductSection_QNAME, ProductSectionType.class, null, value);
  }

  @XmlElementDecl(namespace="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData", name="InstanceID")
  public VirtualSystemInstanceID createVirtualSystemInstanceID(CimString value)
  {
    return new VirtualSystemInstanceID(value);
  }

  @XmlElementDecl(namespace="http://schemas.dmtf.org/ovf/envelope/1", name="Envelope")
  public JAXBElement<EnvelopeType> createEnvelope(EnvelopeType value)
  {
    return new JAXBElement(_Envelope_QNAME, EnvelopeType.class, null, value);
  }

  @XmlElementDecl(namespace="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData", name="ConfigurationID")
  public JAXBElement<CimString> createConfigurationID(CimString value)
  {
    return new JAXBElement(_ConfigurationID_QNAME, CimString.class, null, value);
  }

  @XmlElementDecl(namespace="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData", name="AllocationUnits")
  public JAXBElement<CimString> createAllocationUnits(CimString value)
  {
    return new JAXBElement(_AllocationUnits_QNAME, CimString.class, null, value);
  }

  @XmlElementDecl(namespace="http://schemas.dmtf.org/ovf/envelope/1", name="AnnotationSection", substitutionHeadNamespace="http://schemas.dmtf.org/ovf/envelope/1", substitutionHeadName="Section")
  public JAXBElement<AnnotationSectionType> createAnnotationSection(AnnotationSectionType value)
  {
    return new JAXBElement(_AnnotationSection_QNAME, AnnotationSectionType.class, null, value);
  }

  @XmlElementDecl(namespace="http://schemas.dmtf.org/ovf/envelope/1", name="EulaSection", substitutionHeadNamespace="http://schemas.dmtf.org/ovf/envelope/1", substitutionHeadName="Section")
  public JAXBElement<EulaSectionType> createEulaSection(EulaSectionType value)
  {
    return new JAXBElement(_EulaSection_QNAME, EulaSectionType.class, null, value);
  }

  @XmlElementDecl(namespace="http://schemas.dmtf.org/ovf/envelope/1", name="InstallSection", substitutionHeadNamespace="http://schemas.dmtf.org/ovf/envelope/1", substitutionHeadName="Section")
  public JAXBElement<InstallSectionType> createInstallSection(InstallSectionType value)
  {
    return new JAXBElement(_InstallSection_QNAME, InstallSectionType.class, null, value);
  }

  @XmlElementDecl(namespace="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData", name="VirtualSystemIdentifier")
  public JAXBElement<CimString> createVirtualSystemIdentifier(CimString value)
  {
    return new JAXBElement(_VirtualSystemIdentifier_QNAME, CimString.class, null, value);
  }

  @XmlElementDecl(namespace="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData", name="AutomaticStartupActionSequenceNumber")
  public JAXBElement<CimUnsignedShort> createAutomaticStartupActionSequenceNumber(CimUnsignedShort value)
  {
    return new JAXBElement(_AutomaticStartupActionSequenceNumber_QNAME, CimUnsignedShort.class, null, value);
  }

  @XmlElementDecl(namespace="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData", name="Generation")
  public VirtualSystemGeneration createVirtualSystemGeneration(CimUnsignedLong value)
  {
    return new VirtualSystemGeneration(value);
  }

  @XmlElementDecl(namespace="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData", name="Reservation")
  public JAXBElement<CimUnsignedLong> createReservation(CimUnsignedLong value)
  {
    return new JAXBElement(_Reservation_QNAME, CimUnsignedLong.class, null, value);
  }

  @XmlElementDecl(namespace="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData", name="AutomaticRecoveryAction")
  public JAXBElement<AutomaticRecoveryAction> createAutomaticRecoveryAction(AutomaticRecoveryAction value)
  {
    return new JAXBElement(_AutomaticRecoveryAction_QNAME, AutomaticRecoveryAction.class, null, value);
  }

  @XmlElementDecl(namespace="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData", name="AutomaticStartupAction")
  public JAXBElement<AutomaticStartupAction> createAutomaticStartupAction(AutomaticStartupAction value)
  {
    return new JAXBElement(_AutomaticStartupAction_QNAME, AutomaticStartupAction.class, null, value);
  }

  @XmlElementDecl(namespace="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData", name="ConfigurationName")
  public JAXBElement<CimString> createConfigurationName(CimString value)
  {
    return new JAXBElement(_ConfigurationName_QNAME, CimString.class, null, value);
  }

  @XmlElementDecl(namespace="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData", name="CreationTime")
  public JAXBElement<CimDateTime> createCreationTime(CimDateTime value)
  {
    return new JAXBElement(_CreationTime_QNAME, CimDateTime.class, null, value);
  }

  @XmlElementDecl(namespace="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData", name="CIM_ResourceAllocationSettingData")
  public JAXBElement<CIMResourceAllocationSettingDataType> createCIMResourceAllocationSettingData(CIMResourceAllocationSettingDataType value)
  {
    return new JAXBElement(_CIMResourceAllocationSettingData_QNAME, CIMResourceAllocationSettingDataType.class, null, value);
  }

  @XmlElementDecl(namespace="http://schemas.dmtf.org/wbem/wscim/1/common", name="DefaultValue")
  @XmlJavaTypeAdapter(Adapter1.class)
  public JAXBElement<String> createDefaultValue(String value)
  {
    return new JAXBElement(_DefaultValue_QNAME, String.class, null, value);
  }

  @XmlElementDecl(namespace="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData", name="Caption")
  public VirtualSystemCaption createVirtualSystemCaption(VirtualSystemCaptionType value)
  {
    return new VirtualSystemCaption(value);
  }

  @XmlElementDecl(namespace="http://schemas.dmtf.org/ovf/envelope/1", name="VirtualSystem", substitutionHeadNamespace="http://schemas.dmtf.org/ovf/envelope/1", substitutionHeadName="Content")
  public JAXBElement<VirtualSystemType> createVirtualSystem(VirtualSystemType value)
  {
    return new JAXBElement(_VirtualSystem_QNAME, VirtualSystemType.class, null, value);
  }

  @XmlElementDecl(namespace="http://schemas.dmtf.org/ovf/envelope/1", name="VirtualHardwareSection", substitutionHeadNamespace="http://schemas.dmtf.org/ovf/envelope/1", substitutionHeadName="Section")
  public JAXBElement<VirtualHardwareSectionType> createVirtualHardwareSection(VirtualHardwareSectionType value)
  {
    return new JAXBElement(_VirtualHardwareSection_QNAME, VirtualHardwareSectionType.class, null, value);
  }

  @XmlElementDecl(namespace="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData", name="VirtualSystemType")
  public JAXBElement<CimString> createVirtualSystemType(CimString value)
  {
    return new JAXBElement(_VirtualSystemType_QNAME, CimString.class, null, value);
  }

  @XmlElementDecl(namespace="http://schemas.dmtf.org/ovf/envelope/1", name="Content")
  public JAXBElement<ContentType> createContent(ContentType value)
  {
    return new JAXBElement(_Content_QNAME, ContentType.class, null, value);
  }

  @XmlElementDecl(namespace="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData", name="ConfigurationDataRoot")
  public JAXBElement<CimString> createConfigurationDataRoot(CimString value)
  {
    return new JAXBElement(_ConfigurationDataRoot_QNAME, CimString.class, null, value);
  }

  @XmlElementDecl(namespace="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData", name="LogDataRoot")
  public JAXBElement<CimString> createLogDataRoot(CimString value)
  {
    return new JAXBElement(_LogDataRoot_QNAME, CimString.class, null, value);
  }

  @XmlElementDecl(namespace="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData", name="MappingBehavior")
  public JAXBElement<MappingBehavior> createMappingBehavior(MappingBehavior value)
  {
    return new JAXBElement(_MappingBehavior_QNAME, MappingBehavior.class, null, value);
  }

  @XmlElementDecl(namespace="http://schemas.dmtf.org/ovf/envelope/1", name="NetworkSection", substitutionHeadNamespace="http://schemas.dmtf.org/ovf/envelope/1", substitutionHeadName="Section")
  public JAXBElement<NetworkSectionType> createNetworkSection(NetworkSectionType value)
  {
    return new JAXBElement(_NetworkSection_QNAME, NetworkSectionType.class, null, value);
  }

  @XmlElementDecl(namespace="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData", name="Address")
  public JAXBElement<CimString> createAddress(CimString value)
  {
    return new JAXBElement(_Address_QNAME, CimString.class, null, value);
  }

  @XmlElementDecl(namespace="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData", name="ConfigurationName")
  public VirtualSystemConfigurationName createVirtualSystemConfigurationName(CimString value)
  {
    return new VirtualSystemConfigurationName(value);
  }

  @XmlElementDecl(namespace="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData", name="PoolID")
  public JAXBElement<CimString> createPoolID(CimString value)
  {
    return new JAXBElement(_PoolID_QNAME, CimString.class, null, value);
  }

  @XmlElementDecl(namespace="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData", name="AddressOnParent")
  public JAXBElement<CimString> createAddressOnParent(CimString value)
  {
    return new JAXBElement(_AddressOnParent_QNAME, CimString.class, null, value);
  }

  @XmlElementDecl(namespace="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData", name="ResourceSubType")
  public JAXBElement<CimString> createResourceSubType(CimString value)
  {
    return new JAXBElement(_ResourceSubType_QNAME, CimString.class, null, value);
  }

  @XmlElementDecl(namespace="http://schemas.dmtf.org/ovf/envelope/1", name="StartupSection", substitutionHeadNamespace="http://schemas.dmtf.org/ovf/envelope/1", substitutionHeadName="Section")
  public JAXBElement<StartupSectionType> createStartupSection(StartupSectionType value)
  {
    return new JAXBElement(_StartupSection_QNAME, StartupSectionType.class, null, value);
  }

  @XmlElementDecl(namespace="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData", name="AutomaticAllocation")
  public JAXBElement<CimBoolean> createAutomaticAllocation(CimBoolean value)
  {
    return new JAXBElement(_AutomaticAllocation_QNAME, CimBoolean.class, null, value);
  }

  @XmlElementDecl(namespace="http://schemas.dmtf.org/ovf/envelope/1", name="ResourceAllocationSection", substitutionHeadNamespace="http://schemas.dmtf.org/ovf/envelope/1", substitutionHeadName="Section")
  public JAXBElement<ResourceAllocationSectionType> createResourceAllocationSection(ResourceAllocationSectionType value)
  {
    return new JAXBElement(_ResourceAllocationSection_QNAME, ResourceAllocationSectionType.class, null, value);
  }

  @XmlElementDecl(namespace="http://schemas.dmtf.org/ovf/envelope/1", name="Strings")
  public JAXBElement<StringsType> createStrings(StringsType value)
  {
    return new JAXBElement(_Strings_QNAME, StringsType.class, null, value);
  }

  @XmlElementDecl(namespace="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData", name="Generation")
  public JAXBElement<CimUnsignedLong> createGeneration(CimUnsignedLong value)
  {
    return new JAXBElement(_Generation_QNAME, CimUnsignedLong.class, null, value);
  }

  @XmlElementDecl(namespace="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData", name="RecoveryFile")
  public JAXBElement<CimString> createRecoveryFile(CimString value)
  {
    return new JAXBElement(_RecoveryFile_QNAME, CimString.class, null, value);
  }

  @XmlElementDecl(namespace="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_VirtualSystemSettingData", name="AutomaticShutdownAction")
  public JAXBElement<AutomaticShutdownAction> createAutomaticShutdownAction(AutomaticShutdownAction value)
  {
    return new JAXBElement(_AutomaticShutdownAction_QNAME, AutomaticShutdownAction.class, null, value);
  }

  @XmlElementDecl(namespace="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData", name="Limit")
  public JAXBElement<CimUnsignedLong> createLimit(CimUnsignedLong value)
  {
    return new JAXBElement(_Limit_QNAME, CimUnsignedLong.class, null, value);
  }

  @XmlElementDecl(namespace="http://schemas.dmtf.org/ovf/envelope/1", name="DeploymentOptionSection", substitutionHeadNamespace="http://schemas.dmtf.org/ovf/envelope/1", substitutionHeadName="Section")
  public JAXBElement<DeploymentOptionSectionType> createDeploymentOptionSection(DeploymentOptionSectionType value)
  {
    return new JAXBElement(_DeploymentOptionSection_QNAME, DeploymentOptionSectionType.class, null, value);
  }

  @XmlElementDecl(namespace="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData", name="OtherResourceType")
  public JAXBElement<CimString> createOtherResourceType(CimString value)
  {
    return new JAXBElement(_OtherResourceType_QNAME, CimString.class, null, value);
  }

  @XmlElementDecl(namespace="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData", name="Caption")
  public ResourceAllocationCaption createResourceAllocationCaption(ResourceAllocationCaptionType value)
  {
    return new ResourceAllocationCaption(value);
  }

  @XmlElementDecl(namespace="http://schemas.dmtf.org/ovf/envelope/1", name="OperatingSystemSection", substitutionHeadNamespace="http://schemas.dmtf.org/ovf/envelope/1", substitutionHeadName="Section")
  public JAXBElement<OperatingSystemSectionType> createOperatingSystemSection(OperatingSystemSectionType value)
  {
    return new JAXBElement(_OperatingSystemSection_QNAME, OperatingSystemSectionType.class, null, value);
  }

  @XmlElementDecl(namespace="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData", name="VirtualQuantityUnits")
  public JAXBElement<CimString> createVirtualQuantityUnits(CimString value)
  {
    return new JAXBElement(_VirtualQuantityUnits_QNAME, CimString.class, null, value);
  }

  @XmlElementDecl(namespace="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData", name="HostResource")
  public JAXBElement<CimString> createHostResource(CimString value)
  {
    return new JAXBElement(_HostResource_QNAME, CimString.class, null, value);
  }

  @XmlElementDecl(namespace="http://schemas.dmtf.org/wbem/wscim/1/common", name="CIM_DateTime", scope=CimDateTime.class)
  public JAXBElement<String> createCimDateTimeCIMDateTime(String value)
  {
    return new JAXBElement(_CimDateTimeCIMDateTime_QNAME, String.class, CimDateTime.class, value);
  }
}