package com.vmware.vcloud.api.rest.schema.ovf.vmware;

import java.util.HashMap;
import java.util.Map;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAnyAttribute;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlType;
import javax.xml.namespace.QName;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="")
public class Level
{

  @XmlAttribute(namespace="http://www.vmware.com/schema/ovf")
  protected String eax;

  @XmlAttribute(namespace="http://www.vmware.com/schema/ovf")
  protected String ebx;

  @XmlAttribute(namespace="http://www.vmware.com/schema/ovf")
  protected String ecx;

  @XmlAttribute(namespace="http://www.vmware.com/schema/ovf")
  protected String edx;

  @XmlAttribute(namespace="http://www.vmware.com/schema/ovf", required=true)
  protected String level;

  @XmlAttribute(namespace="http://www.vmware.com/schema/ovf")
  protected String vendor;

  @XmlAnyAttribute
  private Map<QName, String> otherAttributes = new HashMap();

  public String getEax()
  {
    return this.eax;
  }

  public void setEax(String value)
  {
    this.eax = value;
  }

  public String getEbx()
  {
    return this.ebx;
  }

  public void setEbx(String value)
  {
    this.ebx = value;
  }

  public String getEcx()
  {
    return this.ecx;
  }

  public void setEcx(String value)
  {
    this.ecx = value;
  }

  public String getEdx()
  {
    return this.edx;
  }

  public void setEdx(String value)
  {
    this.edx = value;
  }

  public String getLevel()
  {
    return this.level;
  }

  public void setLevel(String value)
  {
    this.level = value;
  }

  public String getVendor()
  {
    if (this.vendor == null) {
      return "";
    }
    return this.vendor;
  }

  public void setVendor(String value)
  {
    this.vendor = value;
  }

  public Map<QName, String> getOtherAttributes()
  {
    return this.otherAttributes;
  }
}