package com.vmware.vcloud.api.rest.schema.versioning;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;

@XmlRegistry
public class ObjectFactory
{
  private static final QName _SupportedVersions_QNAME = new QName("http://www.vmware.com/vcloud/versions", "SupportedVersions");

  public VersionInfoType createVersionInfoType()
  {
    return new VersionInfoType();
  }

  public MediaTypeMappingType createMediaTypeMappingType()
  {
    return new MediaTypeMappingType();
  }

  public SupportedVersionsType createSupportedVersionsType()
  {
    return new SupportedVersionsType();
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/versions", name="SupportedVersions")
  public JAXBElement<SupportedVersionsType> createSupportedVersions(SupportedVersionsType value)
  {
    return new JAXBElement(_SupportedVersions_QNAME, SupportedVersionsType.class, null, value);
  }
}