package com.vmware.vcloud.api.rest.schema_v1_0;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;

@XmlEnum
public enum AllocationModelType
{
  ALLOCATION_V_APP("AllocationVApp"), 

  ALLOCATION_POOL("AllocationPool"), 

  RESERVATION_POOL("ReservationPool");

  private final String value;

  private AllocationModelType(String v) {
    this.value = v;
  }

  public String value() {
    return this.value;
  }

  public static AllocationModelType fromValue(String v) {
    for (AllocationModelType c : values()) {
      if (c.value.equals(v)) {
        return c;
      }
    }
    throw new IllegalArgumentException(v.toString());
  }
}