package com.vmware.vcloud.api.rest.schema_v1_0;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="CatalogsListType", propOrder={"catalogReference"})
public class CatalogsListType extends VCloudExtensibleType
{

  @XmlElement(name="CatalogReference")
  protected List<ReferenceType> catalogReference;

  public List<ReferenceType> getCatalogReference()
  {
    if (this.catalogReference == null) {
      this.catalogReference = new ArrayList();
    }
    return this.catalogReference;
  }
}