package com.vmware.vcloud.api.rest.schema_v1_0;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="DeployVAppParamsType")
public class DeployVAppParamsType extends VCloudExtensibleType
{

  @XmlAttribute
  protected Integer deploymentLeaseSeconds;

  @XmlAttribute
  protected Boolean forceCustomization;

  @XmlAttribute
  protected Boolean powerOn;

  public Integer getDeploymentLeaseSeconds()
  {
    return this.deploymentLeaseSeconds;
  }

  public void setDeploymentLeaseSeconds(Integer value)
  {
    this.deploymentLeaseSeconds = value;
  }

  public Boolean isForceCustomization()
  {
    return this.forceCustomization;
  }

  public void setForceCustomization(Boolean value)
  {
    this.forceCustomization = value;
  }

  public Boolean isPowerOn()
  {
    return this.powerOn;
  }

  public void setPowerOn(Boolean value)
  {
    this.powerOn = value;
  }
}