package com.vmware.vcloud.api.rest.schema_v1_0;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="GroupsListType", propOrder={"groupReference"})
public class GroupsListType extends VCloudExtensibleType
{

  @XmlElement(name="GroupReference")
  protected List<ReferenceType> groupReference;

  public List<ReferenceType> getGroupReference()
  {
    if (this.groupReference == null) {
      this.groupReference = new ArrayList();
    }
    return this.groupReference;
  }
}