package com.vmware.vcloud.api.rest.schema_v1_0;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="IpAddressesType", propOrder={"ipAddress"})
public class IpAddressesType extends VCloudExtensibleType
{

  @XmlElement(name="IpAddress")
  protected List<String> ipAddress;

  public List<String> getIpAddress()
  {
    if (this.ipAddress == null) {
      this.ipAddress = new ArrayList();
    }
    return this.ipAddress;
  }
}