package com.vmware.vcloud.api.rest.schema_v1_0;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="NatPortForwardingRuleType", propOrder={"externalIP", "externalPort", "internalIP", "internalPort", "protocol"})
public class NatPortForwardingRuleType extends VCloudExtensibleType
{

  @XmlElement(name="ExternalIP", required=true)
  protected String externalIP;

  @XmlElement(name="ExternalPort")
  protected int externalPort;

  @XmlElement(name="InternalIP", required=true)
  protected String internalIP;

  @XmlElement(name="InternalPort")
  protected int internalPort;

  @XmlElement(name="Protocol", required=true)
  protected Layer4ProtocolType protocol;

  public String getExternalIP()
  {
    return this.externalIP;
  }

  public void setExternalIP(String value)
  {
    this.externalIP = value;
  }

  public int getExternalPort()
  {
    return this.externalPort;
  }

  public void setExternalPort(int value)
  {
    this.externalPort = value;
  }

  public String getInternalIP()
  {
    return this.internalIP;
  }

  public void setInternalIP(String value)
  {
    this.internalIP = value;
  }

  public int getInternalPort()
  {
    return this.internalPort;
  }

  public void setInternalPort(int value)
  {
    this.internalPort = value;
  }

  public Layer4ProtocolType getProtocol()
  {
    return this.protocol;
  }

  public void setProtocol(Layer4ProtocolType value)
  {
    this.protocol = value;
  }
}