package com.vmware.vcloud.api.rest.schema_v1_0;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="NatServiceType", propOrder={"isEnabled", "natType", "policy", "natRule"})
public class NatServiceType extends VCloudExtensibleType
{

  @XmlElement(name="IsEnabled")
  protected Boolean isEnabled;

  @XmlElement(name="NatType")
  protected NatTypeType natType;

  @XmlElement(name="Policy")
  protected NatPolicyType policy;

  @XmlElement(name="NatRule")
  protected List<NatRuleType> natRule;

  public Boolean isIsEnabled()
  {
    return this.isEnabled;
  }

  public void setIsEnabled(Boolean value)
  {
    this.isEnabled = value;
  }

  public NatTypeType getNatType()
  {
    return this.natType;
  }

  public void setNatType(NatTypeType value)
  {
    this.natType = value;
  }

  public NatPolicyType getPolicy()
  {
    return this.policy;
  }

  public void setPolicy(NatPolicyType value)
  {
    this.policy = value;
  }

  public List<NatRuleType> getNatRule()
  {
    if (this.natRule == null) {
      this.natRule = new ArrayList();
    }
    return this.natRule;
  }
}