package com.vmware.vcloud.api.rest.schema_v1_0;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="NetworkConfigurationType", propOrder={"ipScope", "parentNetwork", "fenceMode", "features"})
public class NetworkConfigurationType extends VCloudExtensibleType
{

  @XmlElement(name="IpScope")
  protected IpScopeType ipScope;

  @XmlElement(name="ParentNetwork")
  protected ReferenceType parentNetwork;

  @XmlElement(name="FenceMode", required=true)
  protected FenceModeValuesType fenceMode;

  @XmlElement(name="Features")
  protected NetworkFeaturesType features;

  public IpScopeType getIpScope()
  {
    return this.ipScope;
  }

  public void setIpScope(IpScopeType value)
  {
    this.ipScope = value;
  }

  public ReferenceType getParentNetwork()
  {
    return this.parentNetwork;
  }

  public void setParentNetwork(ReferenceType value)
  {
    this.parentNetwork = value;
  }

  public FenceModeValuesType getFenceMode()
  {
    return this.fenceMode;
  }

  public void setFenceMode(FenceModeValuesType value)
  {
    this.fenceMode = value;
  }

  public NetworkFeaturesType getFeatures()
  {
    return this.features;
  }

  public void setFeatures(NetworkFeaturesType value)
  {
    this.features = value;
  }
}