package com.vmware.vcloud.api.rest.schema_v1_0;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="OrganizationReferencesType", propOrder={"organizationReference"})
public class OrganizationReferencesType extends VCloudExtensibleType
{

  @XmlElement(name="OrganizationReference")
  protected List<OrganizationReferenceType> organizationReference;

  public List<OrganizationReferenceType> getOrganizationReference()
  {
    if (this.organizationReference == null) {
      this.organizationReference = new ArrayList();
    }
    return this.organizationReference;
  }
}