package com.vmware.vcloud.api.rest.schema_v1_0;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="", propOrder={"tcp", "udp"})
public class Protocols
{

  @XmlElement(name="Tcp")
  protected Boolean tcp;

  @XmlElement(name="Udp")
  protected Boolean udp;

  public Boolean isTcp()
  {
    return this.tcp;
  }

  public void setTcp(Boolean value)
  {
    this.tcp = value;
  }

  public Boolean isUdp()
  {
    return this.udp;
  }

  public void setUdp(Boolean value)
  {
    this.udp = value;
  }
}