package com.vmware.vcloud.api.rest.schema_v1_0;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="ProviderVdcCapacityType", propOrder={"units", "allocation", "total", "used", "overhead"})
public class ProviderVdcCapacityType extends VCloudExtensibleType
{

  @XmlElement(name="Units", required=true)
  protected String units;

  @XmlElement(name="Allocation")
  protected Long allocation;

  @XmlElement(name="Total")
  protected long total;

  @XmlElement(name="Used")
  protected Long used;

  @XmlElement(name="Overhead")
  protected Long overhead;

  public String getUnits()
  {
    return this.units;
  }

  public void setUnits(String value)
  {
    this.units = value;
  }

  public Long getAllocation()
  {
    return this.allocation;
  }

  public void setAllocation(Long value)
  {
    this.allocation = value;
  }

  public long getTotal()
  {
    return this.total;
  }

  public void setTotal(long value)
  {
    this.total = value;
  }

  public Long getUsed()
  {
    return this.used;
  }

  public void setUsed(Long value)
  {
    this.used = value;
  }

  public Long getOverhead()
  {
    return this.overhead;
  }

  public void setOverhead(Long value)
  {
    this.overhead = value;
  }
}