package com.vmware.vcloud.api.rest.schema_v1_0;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="SmtpServerSettingsType", propOrder={"isUseAuthentication", "host", "username", "password"})
public class SmtpServerSettingsType extends VCloudExtensibleType
{

  @XmlElement(name="IsUseAuthentication")
  protected boolean isUseAuthentication;

  @XmlElement(name="Host", required=true)
  protected String host;

  @XmlElement(name="Username", required=true)
  protected String username;

  @XmlElement(name="Password")
  protected String password;

  public boolean isIsUseAuthentication()
  {
    return this.isUseAuthentication;
  }

  public void setIsUseAuthentication(boolean value)
  {
    this.isUseAuthentication = value;
  }

  public String getHost()
  {
    return this.host;
  }

  public void setHost(String value)
  {
    this.host = value;
  }

  public String getUsername()
  {
    return this.username;
  }

  public void setUsername(String value)
  {
    this.username = value;
  }

  public String getPassword()
  {
    return this.password;
  }

  public void setPassword(String value)
  {
    this.password = value;
  }
}