package com.vmware.vcloud.api.rest.schema_v1_0;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="TasksListType", propOrder={"task"})
public class TasksListType extends EntityType
{

  @XmlElement(name="Task")
  protected List<TaskType> task;

  public List<TaskType> getTask()
  {
    if (this.task == null) {
      this.task = new ArrayList();
    }
    return this.task;
  }
}