package com.vmware.vcloud.sdk;

import com.vmware.vcloud.api.rest.schema.ErrorType;

public class VCloudException extends Exception
{
  private static final long serialVersionUID = 6934711554372776140L;
  ErrorType vcloudError;

  public VCloudException(ErrorType vcloudError)
  {
    super(vcloudError.getMessage());
    this.vcloudError = vcloudError;
  }

  public VCloudException(String message)
  {
    super(message);
  }

  public ErrorType getVcloudError()
  {
    return this.vcloudError;
  }
}