package com.vmware.vcloud.sdk.constants;

public enum FirewallPolicyType
{
  DROP("drop"), 

  ALLOW("allow");

  private String value;

  private FirewallPolicyType() {
  }

  private FirewallPolicyType(String value) {
    this.value = value;
  }

  public String value() {
    return this.value;
  }

  public static FirewallPolicyType fromValue(String value) {
    for (FirewallPolicyType enumVal : values()) {
      if (enumVal.value().equals(value)) {
        return enumVal;
      }
    }
    throw new IllegalArgumentException(value.toString());
  }
}