package com.vmware.vcloud.sdk.constants;

public enum NatMappingModeType
{
  AUTOMATIC("automatic"), 

  MANUAL("manual");

  private String value;

  private NatMappingModeType() {
  }

  private NatMappingModeType(String value) {
    this.value = value;
  }

  public String value() {
    return this.value;
  }

  public static NatMappingModeType fromValue(String value) {
    for (NatMappingModeType enumVal : values()) {
      if (enumVal.value().equals(value)) {
        return enumVal;
      }
    }
    throw new IllegalArgumentException(value.toString());
  }
}