package com.vmware.vcloud.sdk.constants.query;

public enum FormatType
{
  REFERENCE_VIEW("references"), 
  RECORD_VIEW("records"), 
  ID_RECORD_VIEW("idrecords");

  private String value;

  private FormatType()
  {
  }

  private FormatType(String value) {
    this.value = value;
  }

  public String value() {
    return this.value;
  }

  public static FormatType fromValue(String value) {
    for (FormatType enumVal : values()) {
      if (enumVal.value().equals(value)) {
        return enumVal;
      }
    }
    throw new IllegalArgumentException(value.toString());
  }
}