package com.vmware.vcloud.sdk.constants.query;

public enum QueryAdminGroupField
  implements QueryField
{
  ID("id"), 

  HREF("href"), 

  IDENTITYPROVIDERTYPE("identityProviderType"), 
  ISREADONLY("isReadOnly"), 
  NAME("name"), 
  ORG("org"), 
  ROLENAME("roleName");

  private String value;

  private QueryAdminGroupField() {
  }
  private QueryAdminGroupField(String value) { this.value = value; }

  public String value() {
    return this.value;
  }
  public static QueryAdminGroupField fromValue(String value) {
    for (QueryAdminGroupField enumVal : values()) {
      if (enumVal.value().equals(value)) {
        return enumVal;
      }
    }
    throw new IllegalArgumentException(value.toString());
  }
}