package com.vmware.vcloud.sdk.constants.query;

public enum QueryAdminUserField
  implements QueryField
{
  ID("id"), 

  HREF("href"), 
  DEPLOYEDVMQUOTA("deployedVMQuota"), 
  DEPLOYEDVMQUOTARANK("deployedVMQuotaRank"), 
  FULLNAME("fullName"), 

  IDENTITYPROVIDERTYPE("identityProviderType"), 
  ISENABLED("isEnabled"), 
  ISLDAPUSER("isLdapUser"), 
  NAME("name"), 
  NUMBEROFDEPLOYEDVMS("numberOfDeployedVMs"), 
  NUMBEROFSTOREDVMS("numberOfStoredVMs"), 
  ORG("org"), 
  STOREDVMQUOTA("storedVMQuota"), 
  STOREDVMQUOTARANK("storedVMQuotaRank");

  private String value;

  private QueryAdminUserField() {
  }
  private QueryAdminUserField(String value) { this.value = value; }

  public String value() {
    return this.value;
  }
  public static QueryAdminUserField fromValue(String value) {
    for (QueryAdminUserField enumVal : values()) {
      if (enumVal.value().equals(value)) {
        return enumVal;
      }
    }
    throw new IllegalArgumentException(value.toString());
  }
}