package com.vmware.vcloud.sdk.constants.query;

public enum QueryAdminVmDiskRelationField
  implements QueryField
{
  ID("id"), 

  HREF("href"), 
  DISK("disk"), 
  VDC("vdc"), 
  VM("vm");

  private String value;

  private QueryAdminVmDiskRelationField() {
  }
  private QueryAdminVmDiskRelationField(String value) { this.value = value; }

  public String value() {
    return this.value;
  }
  public static QueryAdminVmDiskRelationField fromValue(String value) {
    for (QueryAdminVmDiskRelationField enumVal : values()) {
      if (enumVal.value().equals(value)) {
        return enumVal;
      }
    }
    throw new IllegalArgumentException(value.toString());
  }
}