package com.vmware.vcloud.sdk.constants.query;

public enum QueryBlockingTaskField
  implements QueryField
{
  ID("id"), 

  HREF("href"), 
  CREATIONDATE("creationDate"), 
  EXPIRATIONTIME("expirationTime"), 

  HASOWNER("hasOwner"), 
  JOBSTATUS("jobStatus"), 
  OPERATIONNAME("operationName"), 
  ORIGINATINGORG("originatingOrg"), 
  ORIGINATINGORGNAME("originatingOrgName"), 
  OWNER("owner"), 
  OWNERNAME("ownerName"), 
  STATUS("status"), 
  TASK("task"), 
  TIMEOUTACTION("timeoutAction");

  private String value;

  private QueryBlockingTaskField() {
  }
  private QueryBlockingTaskField(String value) { this.value = value; }

  public String value() {
    return this.value;
  }
  public static QueryBlockingTaskField fromValue(String value) {
    for (QueryBlockingTaskField enumVal : values()) {
      if (enumVal.value().equals(value)) {
        return enumVal;
      }
    }
    throw new IllegalArgumentException(value.toString());
  }
}