package com.vmware.vcloud.sdk.constants.query;

public enum QueryPortgroupField
  implements QueryField
{
  ID("id"), 

  HREF("href"), 
  ISVCENABLED("isVCEnabled"), 
  MOREF("moref"), 
  NAME("name"), 
  NETWORK("network"), 
  NETWORKNAME("networkName"), 
  PORTGROUPTYPE("portgroupType"), 
  SCOPETYPE("scopeType"), 
  VC("vc"), 
  VCNAME("vcName");

  private String value;

  private QueryPortgroupField() {
  }
  private QueryPortgroupField(String value) { this.value = value; }

  public String value() {
    return this.value;
  }
  public static QueryPortgroupField fromValue(String value) {
    for (QueryPortgroupField enumVal : values()) {
      if (enumVal.value().equals(value)) {
        return enumVal;
      }
    }
    throw new IllegalArgumentException(value.toString());
  }
}