package com.vmware.vcloud.sdk.exception;

import com.vmware.vcloud.api.rest.schema.ReferenceType;
import com.vmware.vcloud.sdk.VCloudException;

public class ResourceNotAddedException extends VCloudException
{
  private static final long serialVersionUID = 6934711554372776140L;
  private ReferenceType resourceRef;

  public ResourceNotAddedException(VCloudException vcloudException, ReferenceType resourceRef)
  {
    super(vcloudException.getVcloudError());
    this.resourceRef = resourceRef;
  }

  public ReferenceType getResourceRef()
  {
    return this.resourceRef;
  }
}