package com.vmware.vcloud.sdk_v1_0;

import com.vmware.vcloud.api.rest.schema.ovf.CimUnsignedLong;
import com.vmware.vcloud.api.rest.schema.ovf.RASDType;
import java.math.BigInteger;

public class VirtualCpu extends HardwareItem
{
  VirtualCpu(RASDType item)
  {
    super(item);
  }

  VirtualCpu(VcloudClient client, RASDType item)
  {
    super(client, item);
  }

  public BigInteger getNoOfCpus()
  {
    return getItemResource().getVirtualQuantity().getValue();
  }
}