package devmgr.versioned.jrpc;

public class RPCAcceptedReplyBody
  implements XDRType, RPCMsgConstants
{
  private RPCAcceptedStatus status = new RPCAcceptedStatus();
  private RPCVersionRange versions = new RPCVersionRange();

  public RPCAcceptedReplyBody()
  {
  }

  public RPCAcceptedReplyBody(RPCAcceptedReplyBody paramRPCAcceptedReplyBody)
  {
    this.versions = paramRPCAcceptedReplyBody.versions;
  }

  public RPCAcceptedStatus getStatus()
  {
    return this.status;
  }

  public void setStatus(RPCAcceptedStatus paramRPCAcceptedStatus)
  {
    this.status = paramRPCAcceptedStatus;
  }

  public RPCVersionRange getVersions()
  {
    return this.versions;
  }

  public void setVersions(RPCVersionRange paramRPCVersionRange)
  {
    this.versions = paramRPCVersionRange;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    this.status.xdrEncode(paramXDROutputStream);
    switch (this.status.getValue())
    {
    case 2:
      this.versions.xdrEncode(paramXDROutputStream);
      break;
    }
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    this.status.xdrDecode(paramXDRInputStream);
    switch (this.status.getValue())
    {
    case 2:
      this.versions.xdrDecode(paramXDRInputStream);
      break;
    }
  }
}