package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class AbstractVolRefList
  implements XDRType, SYMbolAPIConstants
{
  private AbstractVolRef[] abstractVolRef;

  public AbstractVolRefList()
  {
  }

  public AbstractVolRefList(AbstractVolRefList paramAbstractVolRefList)
  {
    this.abstractVolRef = paramAbstractVolRefList.abstractVolRef;
  }

  public AbstractVolRef[] getAbstractVolRef()
  {
    return this.abstractVolRef;
  }

  public void setAbstractVolRef(AbstractVolRef[] paramArrayOfAbstractVolRef)
  {
    this.abstractVolRef = paramArrayOfAbstractVolRef;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    int j = this.abstractVolRef == null ? 0 : this.abstractVolRef.length;
    paramXDROutputStream.putInt(j);
    for (int k = 0; k < j; k++)
      this.abstractVolRef[k].xdrEncode(paramXDROutputStream);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
    {
      int j = paramXDRInputStream.getInt();
      this.abstractVolRef = new AbstractVolRef[j];
      for (int k = 0; k < j; k++)
      {
        this.abstractVolRef[k] = new AbstractVolRef();
        this.abstractVolRef[k].xdrDecode(paramXDRInputStream);
      }
    }
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}