package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class AutoConfigTemplateList
  implements XDRType, SYMbolAPIConstants
{
  private AutoConfigTemplate[] autoConfigTemplate;

  public AutoConfigTemplateList()
  {
  }

  public AutoConfigTemplateList(AutoConfigTemplateList paramAutoConfigTemplateList)
  {
    this.autoConfigTemplate = paramAutoConfigTemplateList.autoConfigTemplate;
  }

  public AutoConfigTemplate[] getAutoConfigTemplate()
  {
    return this.autoConfigTemplate;
  }

  public void setAutoConfigTemplate(AutoConfigTemplate[] paramArrayOfAutoConfigTemplate)
  {
    this.autoConfigTemplate = paramArrayOfAutoConfigTemplate;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    int j = this.autoConfigTemplate == null ? 0 : this.autoConfigTemplate.length;
    paramXDROutputStream.putInt(j);
    for (int k = 0; k < j; k++)
      this.autoConfigTemplate[k].xdrEncode(paramXDROutputStream);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
    {
      int j = paramXDRInputStream.getInt();
      this.autoConfigTemplate = new AutoConfigTemplate[j];
      for (int k = 0; k < j; k++)
      {
        this.autoConfigTemplate[k] = new AutoConfigTemplate();
        this.autoConfigTemplate[k].xdrDecode(paramXDRInputStream);
      }
    }
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}