package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class MirrorCandidateDescriptor
  implements XDRType, SYMbolAPIConstants
{
  private byte[] remoteNodeWWN;
  private AbstractVolRef baseVolume = new AbstractVolRef();

  public MirrorCandidateDescriptor()
  {
  }

  public MirrorCandidateDescriptor(MirrorCandidateDescriptor paramMirrorCandidateDescriptor)
  {
    this.remoteNodeWWN = paramMirrorCandidateDescriptor.remoteNodeWWN;
    this.baseVolume = paramMirrorCandidateDescriptor.baseVolume;
  }

  public byte[] getRemoteNodeWWN()
  {
    return this.remoteNodeWWN;
  }

  public void setRemoteNodeWWN(byte[] paramArrayOfByte)
  {
    this.remoteNodeWWN = paramArrayOfByte;
  }

  public AbstractVolRef getBaseVolume()
  {
    return this.baseVolume;
  }

  public void setBaseVolume(AbstractVolRef paramAbstractVolRef)
  {
    this.baseVolume = paramAbstractVolRef;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    paramXDROutputStream.putVariableOpaque(this.remoteNodeWWN);
    this.baseVolume.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.remoteNodeWWN = paramXDRInputStream.getVariableOpaque();
    if (paramXDRInputStream.getPosition() < i)
      this.baseVolume.xdrDecode(paramXDRInputStream);
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}