package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class SAIdentifier
  implements XDRType, SYMbolAPIConstants
{
  private byte[] worldWideName;

  public SAIdentifier()
  {
  }

  public SAIdentifier(SAIdentifier paramSAIdentifier)
  {
    this.worldWideName = paramSAIdentifier.worldWideName;
  }

  public byte[] getWorldWideName()
  {
    return this.worldWideName;
  }

  public void setWorldWideName(byte[] paramArrayOfByte)
  {
    this.worldWideName = paramArrayOfByte;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    paramXDROutputStream.putVariableOpaque(this.worldWideName);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    this.worldWideName = paramXDRInputStream.getVariableOpaque();
  }
}