package org.eclipse.jdt.internal.compiler.env;

public abstract interface ISourceMethod extends IGenericMethod
{
  public abstract int getDeclarationSourceEnd();

  public abstract int getDeclarationSourceStart();

  public abstract char[][] getExceptionTypeNames();

  public abstract int getNameSourceEnd();

  public abstract int getNameSourceStart();

  public abstract char[] getReturnTypeName();

  public abstract char[][] getTypeParameterNames();

  public abstract char[][][] getTypeParameterBounds();
}