package org.quartz;

import java.util.TimeZone;

public abstract interface CronTrigger extends Trigger
{
  public static final long serialVersionUID = -8644953146451592766L;
  public static final int MISFIRE_INSTRUCTION_FIRE_ONCE_NOW = 1;
  public static final int MISFIRE_INSTRUCTION_DO_NOTHING = 2;

  public abstract String getCronExpression();

  public abstract TimeZone getTimeZone();

  public abstract String getExpressionSummary();

  public abstract TriggerBuilder<CronTrigger> getTriggerBuilder();
}