package org.quartz.impl.jdbcjobstore;

import java.io.ByteArrayInputStream;
import java.io.IOException;
import java.io.ObjectInputStream;
import java.sql.ResultSet;
import java.sql.SQLException;
import org.quartz.spi.ClassLoadHelper;
import org.slf4j.Logger;

/** @deprecated */
public class CloudscapeDelegate extends StdJDBCDelegate
{
  public CloudscapeDelegate(Logger log, String tablePrefix, String schedName, String instanceId, ClassLoadHelper classLoadHelper)
  {
    super(log, tablePrefix, schedName, instanceId, classLoadHelper);
  }

  public CloudscapeDelegate(Logger log, String tablePrefix, String schedName, String instanceId, ClassLoadHelper classLoadHelper, Boolean useProperties)
  {
    super(log, tablePrefix, schedName, instanceId, classLoadHelper, useProperties);
  }

  protected Object getObjectFromBlob(ResultSet rs, String colName)
    throws ClassNotFoundException, IOException, SQLException
  {
    Object obj = null;

    byte[] inputBytes = rs.getBytes(colName);

    if ((null != inputBytes) && (inputBytes.length != 0)) {
      ByteArrayInputStream bais = new ByteArrayInputStream(inputBytes);

      ObjectInputStream in = new ObjectInputStream(bais);
      try {
        obj = in.readObject();
      } finally {
        in.close();
      }
    }

    return obj;
  }
}