package org.w3._2001.xmlschema;

import javax.xml.bind.DatatypeConverter;
import javax.xml.bind.annotation.adapters.XmlAdapter;

public class Adapter1 extends XmlAdapter<String, String>
{
  public String unmarshal(String value)
  {
    return DatatypeConverter.parseAnySimpleType(value);
  }

  public String marshal(String value) {
    if (value == null) {
      return null;
    }
    return DatatypeConverter.printAnySimpleType(value);
  }
}