package com.vmware.vcloud.api.rest.schema;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="DhcpPoolServiceType", propOrder={"isEnabled", "network", "defaultLeaseTime", "maxLeaseTime", "lowIpAddress", "highIpAddress"})
public class DhcpPoolServiceType extends VCloudExtensibleType
{

  @XmlElement(name="IsEnabled")
  protected Boolean isEnabled;

  @XmlElement(name="Network")
  protected ReferenceType network;

  @XmlElement(name="DefaultLeaseTime")
  protected Integer defaultLeaseTime;

  @XmlElement(name="MaxLeaseTime")
  protected Integer maxLeaseTime;

  @XmlElement(name="LowIpAddress")
  protected String lowIpAddress;

  @XmlElement(name="HighIpAddress")
  protected String highIpAddress;

  public Boolean isIsEnabled()
  {
    return this.isEnabled;
  }

  public void setIsEnabled(Boolean value)
  {
    this.isEnabled = value;
  }

  public ReferenceType getNetwork()
  {
    return this.network;
  }

  public void setNetwork(ReferenceType value)
  {
    this.network = value;
  }

  public Integer getDefaultLeaseTime()
  {
    return this.defaultLeaseTime;
  }

  public void setDefaultLeaseTime(Integer value)
  {
    this.defaultLeaseTime = value;
  }

  public Integer getMaxLeaseTime()
  {
    return this.maxLeaseTime;
  }

  public void setMaxLeaseTime(Integer value)
  {
    this.maxLeaseTime = value;
  }

  public String getLowIpAddress()
  {
    return this.lowIpAddress;
  }

  public void setLowIpAddress(String value)
  {
    this.lowIpAddress = value;
  }

  public String getHighIpAddress()
  {
    return this.highIpAddress;
  }

  public void setHighIpAddress(String value)
  {
    this.highIpAddress = value;
  }
}