package com.vmware.vcloud.api.rest.schema;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="EventType", propOrder={"owner", "user"})
public class EventType extends VCloudExtensibleType
{

  @XmlElement(name="Owner")
  protected ReferenceType owner;

  @XmlElement(name="User")
  protected ReferenceType user;

  @XmlAttribute
  protected String serviceNamespace;

  @XmlAttribute
  protected Boolean success;

  @XmlAttribute
  protected String type;

  @XmlAttribute
  protected String typeFull;

  public ReferenceType getOwner()
  {
    return this.owner;
  }

  public void setOwner(ReferenceType value)
  {
    this.owner = value;
  }

  public ReferenceType getUser()
  {
    return this.user;
  }

  public void setUser(ReferenceType value)
  {
    this.user = value;
  }

  public String getServiceNamespace()
  {
    return this.serviceNamespace;
  }

  public void setServiceNamespace(String value)
  {
    this.serviceNamespace = value;
  }

  public Boolean isSuccess()
  {
    return this.success;
  }

  public void setSuccess(Boolean value)
  {
    this.success = value;
  }

  public String getType()
  {
    return this.type;
  }

  public void setType(String value)
  {
    this.type = value;
  }

  public String getTypeFull()
  {
    return this.typeFull;
  }

  public void setTypeFull(String value)
  {
    this.typeFull = value;
  }
}