package com.vmware.vcloud.api.rest.schema;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="LBPersistenceType", propOrder={"method", "cookieName", "cookieMode"})
public class LBPersistenceType extends VCloudExtensibleType
{

  @XmlElement(name="Method")
  protected String method;

  @XmlElement(name="CookieName")
  protected String cookieName;

  @XmlElement(name="CookieMode")
  protected String cookieMode;

  public String getMethod()
  {
    return this.method;
  }

  public void setMethod(String value)
  {
    this.method = value;
  }

  public String getCookieName()
  {
    return this.cookieName;
  }

  public void setCookieName(String value)
  {
    this.cookieName = value;
  }

  public String getCookieMode()
  {
    return this.cookieMode;
  }

  public void setCookieMode(String value)
  {
    this.cookieMode = value;
  }
}