package com.vmware.vcloud.api.rest.schema;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="LoadBalancerServiceType", propOrder={"pool", "virtualServer"})
public class LoadBalancerServiceType extends NetworkServiceType
{

  @XmlElement(name="Pool")
  protected List<LoadBalancerPoolType> pool;

  @XmlElement(name="VirtualServer")
  protected List<LoadBalancerVirtualServerType> virtualServer;

  public List<LoadBalancerPoolType> getPool()
  {
    if (this.pool == null) {
      this.pool = new ArrayList();
    }
    return this.pool;
  }

  public List<LoadBalancerVirtualServerType> getVirtualServer()
  {
    if (this.virtualServer == null) {
      this.virtualServer = new ArrayList();
    }
    return this.virtualServer;
  }
}