package com.vmware.vcloud.api.rest.schema;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="NatOneToOneVmRuleType", propOrder={"mappingMode", "externalIpAddress", "vAppScopedVmId", "vmNicId"})
public class NatOneToOneVmRuleType extends VCloudExtensibleType
{

  @XmlElement(name="MappingMode", required=true)
  protected String mappingMode;

  @XmlElement(name="ExternalIpAddress")
  protected String externalIpAddress;

  @XmlElement(name="VAppScopedVmId", required=true)
  protected String vAppScopedVmId;

  @XmlElement(name="VmNicId")
  protected int vmNicId;

  public String getMappingMode()
  {
    return this.mappingMode;
  }

  public void setMappingMode(String value)
  {
    this.mappingMode = value;
  }

  public String getExternalIpAddress()
  {
    return this.externalIpAddress;
  }

  public void setExternalIpAddress(String value)
  {
    this.externalIpAddress = value;
  }

  public String getVAppScopedVmId()
  {
    return this.vAppScopedVmId;
  }

  public void setVAppScopedVmId(String value)
  {
    this.vAppScopedVmId = value;
  }

  public int getVmNicId()
  {
    return this.vmNicId;
  }

  public void setVmNicId(int value)
  {
    this.vmNicId = value;
  }
}