package com.vmware.vcloud.api.rest.schema;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="OperatingSystemFamilyInfoType", propOrder={"name", "operatingSystemFamilyId", "operatingSystem"})
public class OperatingSystemFamilyInfoType extends VCloudExtensibleType
{

  @XmlElement(name="Name")
  protected String name;

  @XmlElement(name="OperatingSystemFamilyId")
  protected Integer operatingSystemFamilyId;

  @XmlElement(name="OperatingSystem")
  protected List<OperatingSystemInfoType> operatingSystem;

  public String getName()
  {
    return this.name;
  }

  public void setName(String value)
  {
    this.name = value;
  }

  public Integer getOperatingSystemFamilyId()
  {
    return this.operatingSystemFamilyId;
  }

  public void setOperatingSystemFamilyId(Integer value)
  {
    this.operatingSystemFamilyId = value;
  }

  public List<OperatingSystemInfoType> getOperatingSystem()
  {
    if (this.operatingSystem == null) {
      this.operatingSystem = new ArrayList();
    }
    return this.operatingSystem;
  }
}