package com.vmware.vcloud.api.rest.schema;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="OrgSettingsType", propOrder={"orgGeneralSettings", "vAppLeaseSettings", "vAppTemplateLeaseSettings", "orgLdapSettings", "orgEmailSettings", "orgPasswordPolicySettings", "orgOperationLimitsSettings", "orgFederationSettings"})
public class OrgSettingsType extends ResourceType
{

  @XmlElement(name="OrgGeneralSettings")
  protected OrgGeneralSettingsType orgGeneralSettings;

  @XmlElement(name="VAppLeaseSettings")
  protected OrgLeaseSettingsType vAppLeaseSettings;

  @XmlElement(name="VAppTemplateLeaseSettings")
  protected OrgVAppTemplateLeaseSettingsType vAppTemplateLeaseSettings;

  @XmlElement(name="OrgLdapSettings")
  protected OrgLdapSettingsType orgLdapSettings;

  @XmlElement(name="OrgEmailSettings")
  protected OrgEmailSettingsType orgEmailSettings;

  @XmlElement(name="OrgPasswordPolicySettings")
  protected OrgPasswordPolicySettingsType orgPasswordPolicySettings;

  @XmlElement(name="OrgOperationLimitsSettings")
  protected OrgOperationLimitsSettingsType orgOperationLimitsSettings;

  @XmlElement(name="OrgFederationSettings")
  protected OrgFederationSettingsType orgFederationSettings;

  public OrgGeneralSettingsType getOrgGeneralSettings()
  {
    return this.orgGeneralSettings;
  }

  public void setOrgGeneralSettings(OrgGeneralSettingsType value)
  {
    this.orgGeneralSettings = value;
  }

  public OrgLeaseSettingsType getVAppLeaseSettings()
  {
    return this.vAppLeaseSettings;
  }

  public void setVAppLeaseSettings(OrgLeaseSettingsType value)
  {
    this.vAppLeaseSettings = value;
  }

  public OrgVAppTemplateLeaseSettingsType getVAppTemplateLeaseSettings()
  {
    return this.vAppTemplateLeaseSettings;
  }

  public void setVAppTemplateLeaseSettings(OrgVAppTemplateLeaseSettingsType value)
  {
    this.vAppTemplateLeaseSettings = value;
  }

  public OrgLdapSettingsType getOrgLdapSettings()
  {
    return this.orgLdapSettings;
  }

  public void setOrgLdapSettings(OrgLdapSettingsType value)
  {
    this.orgLdapSettings = value;
  }

  public OrgEmailSettingsType getOrgEmailSettings()
  {
    return this.orgEmailSettings;
  }

  public void setOrgEmailSettings(OrgEmailSettingsType value)
  {
    this.orgEmailSettings = value;
  }

  public OrgPasswordPolicySettingsType getOrgPasswordPolicySettings()
  {
    return this.orgPasswordPolicySettings;
  }

  public void setOrgPasswordPolicySettings(OrgPasswordPolicySettingsType value)
  {
    this.orgPasswordPolicySettings = value;
  }

  public OrgOperationLimitsSettingsType getOrgOperationLimitsSettings()
  {
    return this.orgOperationLimitsSettings;
  }

  public void setOrgOperationLimitsSettings(OrgOperationLimitsSettingsType value)
  {
    this.orgOperationLimitsSettings = value;
  }

  public OrgFederationSettingsType getOrgFederationSettings()
  {
    return this.orgFederationSettings;
  }

  public void setOrgFederationSettings(OrgFederationSettingsType value)
  {
    this.orgFederationSettings = value;
  }
}