package com.vmware.vcloud.api.rest.schema;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="ProviderVdcStorageProfileType", propOrder={"enabled", "units", "capacityTotal", "capacityUsed"})
public class ProviderVdcStorageProfileType extends EntityType
{

  @XmlElement(name="Enabled")
  protected Boolean enabled;

  @XmlElement(name="Units", required=true)
  protected String units;

  @XmlElement(name="CapacityTotal")
  protected Double capacityTotal;

  @XmlElement(name="CapacityUsed")
  protected Double capacityUsed;

  public Boolean isEnabled()
  {
    return this.enabled;
  }

  public void setEnabled(Boolean value)
  {
    this.enabled = value;
  }

  public String getUnits()
  {
    return this.units;
  }

  public void setUnits(String value)
  {
    this.units = value;
  }

  public Double getCapacityTotal()
  {
    return this.capacityTotal;
  }

  public void setCapacityTotal(Double value)
  {
    this.capacityTotal = value;
  }

  public Double getCapacityUsed()
  {
    return this.capacityUsed;
  }

  public void setCapacityUsed(Double value)
  {
    this.capacityUsed = value;
  }
}