package com.vmware.vcloud.api.rest.schema;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="ProviderVdcStorageProfilesType", propOrder={"providerVdcStorageProfile"})
public class ProviderVdcStorageProfilesType extends VCloudExtensibleType
{

  @XmlElement(name="ProviderVdcStorageProfile")
  protected List<ReferenceType> providerVdcStorageProfile;

  public List<ReferenceType> getProviderVdcStorageProfile()
  {
    if (this.providerVdcStorageProfile == null) {
      this.providerVdcStorageProfile = new ArrayList();
    }
    return this.providerVdcStorageProfile;
  }
}