package com.vmware.vcloud.api.rest.schema;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="QueryResultAclRuleRecordType")
public class QueryResultAclRuleRecordType extends QueryResultRecordType
{

  @XmlAttribute
  protected String name;

  @XmlAttribute
  protected String org;

  @XmlAttribute
  protected String orgAccess;

  @XmlAttribute
  protected String principal;

  @XmlAttribute
  protected String principalAccess;

  @XmlAttribute
  protected String principalType;

  @XmlAttribute
  protected String resourceClassAction;

  @XmlAttribute
  protected String serviceResource;

  @XmlAttribute
  protected String serviceResourceAccess;

  public String getName()
  {
    return this.name;
  }

  public void setName(String value)
  {
    this.name = value;
  }

  public String getOrg()
  {
    return this.org;
  }

  public void setOrg(String value)
  {
    this.org = value;
  }

  public String getOrgAccess()
  {
    return this.orgAccess;
  }

  public void setOrgAccess(String value)
  {
    this.orgAccess = value;
  }

  public String getPrincipal()
  {
    return this.principal;
  }

  public void setPrincipal(String value)
  {
    this.principal = value;
  }

  public String getPrincipalAccess()
  {
    return this.principalAccess;
  }

  public void setPrincipalAccess(String value)
  {
    this.principalAccess = value;
  }

  public String getPrincipalType()
  {
    return this.principalType;
  }

  public void setPrincipalType(String value)
  {
    this.principalType = value;
  }

  public String getResourceClassAction()
  {
    return this.resourceClassAction;
  }

  public void setResourceClassAction(String value)
  {
    this.resourceClassAction = value;
  }

  public String getServiceResource()
  {
    return this.serviceResource;
  }

  public void setServiceResource(String value)
  {
    this.serviceResource = value;
  }

  public String getServiceResourceAccess()
  {
    return this.serviceResourceAccess;
  }

  public void setServiceResourceAccess(String value)
  {
    this.serviceResourceAccess = value;
  }
}