package com.vmware.vcloud.api.rest.schema;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlType;
import javax.xml.datatype.XMLGregorianCalendar;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="QueryResultAdminTaskRecordType")
public class QueryResultAdminTaskRecordType extends QueryResultRecordType
{

  @XmlAttribute
  protected String cellName;

  @XmlAttribute
  protected XMLGregorianCalendar endDate;

  @XmlAttribute
  protected Boolean hasOwner;

  @XmlAttribute
  protected String name;

  @XmlAttribute
  protected String object;

  @XmlAttribute
  protected String objectName;

  @XmlAttribute
  protected String objectType;

  @XmlAttribute
  protected String org;

  @XmlAttribute
  protected String orgName;

  @XmlAttribute
  protected String owner;

  @XmlAttribute
  protected String ownerName;

  @XmlAttribute
  protected String serviceNamespace;

  @XmlAttribute
  protected XMLGregorianCalendar startDate;

  @XmlAttribute
  protected String status;

  public String getCellName()
  {
    return this.cellName;
  }

  public void setCellName(String value)
  {
    this.cellName = value;
  }

  public XMLGregorianCalendar getEndDate()
  {
    return this.endDate;
  }

  public void setEndDate(XMLGregorianCalendar value)
  {
    this.endDate = value;
  }

  public Boolean isHasOwner()
  {
    return this.hasOwner;
  }

  public void setHasOwner(Boolean value)
  {
    this.hasOwner = value;
  }

  public String getName()
  {
    return this.name;
  }

  public void setName(String value)
  {
    this.name = value;
  }

  public String getObject()
  {
    return this.object;
  }

  public void setObject(String value)
  {
    this.object = value;
  }

  public String getObjectName()
  {
    return this.objectName;
  }

  public void setObjectName(String value)
  {
    this.objectName = value;
  }

  public String getObjectType()
  {
    return this.objectType;
  }

  public void setObjectType(String value)
  {
    this.objectType = value;
  }

  public String getOrg()
  {
    return this.org;
  }

  public void setOrg(String value)
  {
    this.org = value;
  }

  public String getOrgName()
  {
    return this.orgName;
  }

  public void setOrgName(String value)
  {
    this.orgName = value;
  }

  public String getOwner()
  {
    return this.owner;
  }

  public void setOwner(String value)
  {
    this.owner = value;
  }

  public String getOwnerName()
  {
    return this.ownerName;
  }

  public void setOwnerName(String value)
  {
    this.ownerName = value;
  }

  public String getServiceNamespace()
  {
    return this.serviceNamespace;
  }

  public void setServiceNamespace(String value)
  {
    this.serviceNamespace = value;
  }

  public XMLGregorianCalendar getStartDate()
  {
    return this.startDate;
  }

  public void setStartDate(XMLGregorianCalendar value)
  {
    this.startDate = value;
  }

  public String getStatus()
  {
    return this.status;
  }

  public void setStatus(String value)
  {
    this.status = value;
  }
}