package com.vmware.vcloud.api.rest.schema;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="QueryResultOrgRecordType")
public class QueryResultOrgRecordType extends QueryResultRecordType
{

  @XmlAttribute
  protected Boolean canPublishCatalogs;

  @XmlAttribute
  protected Integer deployedVMQuota;

  @XmlAttribute
  protected String displayName;

  @XmlAttribute
  protected Boolean isEnabled;

  @XmlAttribute
  protected Boolean isReadOnly;

  @XmlAttribute
  protected String name;

  @XmlAttribute
  protected Integer numberOfCatalogs;

  @XmlAttribute
  protected Integer numberOfDisks;

  @XmlAttribute
  protected Integer numberOfGroups;

  @XmlAttribute
  protected Integer numberOfVApps;

  @XmlAttribute
  protected Integer numberOfVdcs;

  @XmlAttribute
  protected Integer storedVMQuota;

  public Boolean isCanPublishCatalogs()
  {
    return this.canPublishCatalogs;
  }

  public void setCanPublishCatalogs(Boolean value)
  {
    this.canPublishCatalogs = value;
  }

  public Integer getDeployedVMQuota()
  {
    return this.deployedVMQuota;
  }

  public void setDeployedVMQuota(Integer value)
  {
    this.deployedVMQuota = value;
  }

  public String getDisplayName()
  {
    return this.displayName;
  }

  public void setDisplayName(String value)
  {
    this.displayName = value;
  }

  public Boolean isIsEnabled()
  {
    return this.isEnabled;
  }

  public void setIsEnabled(Boolean value)
  {
    this.isEnabled = value;
  }

  public Boolean isIsReadOnly()
  {
    return this.isReadOnly;
  }

  public void setIsReadOnly(Boolean value)
  {
    this.isReadOnly = value;
  }

  public String getName()
  {
    return this.name;
  }

  public void setName(String value)
  {
    this.name = value;
  }

  public Integer getNumberOfCatalogs()
  {
    return this.numberOfCatalogs;
  }

  public void setNumberOfCatalogs(Integer value)
  {
    this.numberOfCatalogs = value;
  }

  public Integer getNumberOfDisks()
  {
    return this.numberOfDisks;
  }

  public void setNumberOfDisks(Integer value)
  {
    this.numberOfDisks = value;
  }

  public Integer getNumberOfGroups()
  {
    return this.numberOfGroups;
  }

  public void setNumberOfGroups(Integer value)
  {
    this.numberOfGroups = value;
  }

  public Integer getNumberOfVApps()
  {
    return this.numberOfVApps;
  }

  public void setNumberOfVApps(Integer value)
  {
    this.numberOfVApps = value;
  }

  public Integer getNumberOfVdcs()
  {
    return this.numberOfVdcs;
  }

  public void setNumberOfVdcs(Integer value)
  {
    this.numberOfVdcs = value;
  }

  public Integer getStoredVMQuota()
  {
    return this.storedVMQuota;
  }

  public void setStoredVMQuota(Integer value)
  {
    this.storedVMQuota = value;
  }
}