package com.vmware.vcloud.api.rest.schema;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="SubAllocationsType", propOrder={"subAllocation"})
public class SubAllocationsType extends ResourceType
{

  @XmlElement(name="SubAllocation")
  protected List<SubAllocationType> subAllocation;

  public List<SubAllocationType> getSubAllocation()
  {
    if (this.subAllocation == null) {
      this.subAllocation = new ArrayList();
    }
    return this.subAllocation;
  }
}