package com.vmware.vcloud.api.rest.schema;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="VAppCreationParamsType", propOrder={"vAppParent", "instantiationParams"})
public class VAppCreationParamsType extends ParamsType
{

  @XmlElement(name="VAppParent")
  protected ReferenceType vAppParent;

  @XmlElement(name="InstantiationParams")
  protected InstantiationParamsType instantiationParams;

  @XmlAttribute
  protected Boolean deploy;

  @XmlAttribute
  protected Boolean powerOn;

  public ReferenceType getVAppParent()
  {
    return this.vAppParent;
  }

  public void setVAppParent(ReferenceType value)
  {
    this.vAppParent = value;
  }

  public InstantiationParamsType getInstantiationParams()
  {
    return this.instantiationParams;
  }

  public void setInstantiationParams(InstantiationParamsType value)
  {
    this.instantiationParams = value;
  }

  public Boolean isDeploy()
  {
    return this.deploy;
  }

  public void setDeploy(Boolean value)
  {
    this.deploy = value;
  }

  public Boolean isPowerOn()
  {
    return this.powerOn;
  }

  public void setPowerOn(Boolean value)
  {
    this.powerOn = value;
  }
}