package com.vmware.vcloud.api.rest.schema;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="VdcStorageProfilesType", propOrder={"vdcStorageProfile"})
public class VdcStorageProfilesType extends VCloudExtensibleType
{

  @XmlElement(name="VdcStorageProfile")
  protected List<ReferenceType> vdcStorageProfile;

  public List<ReferenceType> getVdcStorageProfile()
  {
    if (this.vdcStorageProfile == null) {
      this.vdcStorageProfile = new ArrayList();
    }
    return this.vdcStorageProfile;
  }
}