package com.vmware.vcloud.api.rest.schema;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="VmCapabilitiesType", propOrder={"memoryHotAddEnabled", "cpuHotAddEnabled"})
public class VmCapabilitiesType extends ResourceType
{

  @XmlElement(name="MemoryHotAddEnabled")
  protected Boolean memoryHotAddEnabled;

  @XmlElement(name="CpuHotAddEnabled")
  protected Boolean cpuHotAddEnabled;

  public Boolean isMemoryHotAddEnabled()
  {
    return this.memoryHotAddEnabled;
  }

  public void setMemoryHotAddEnabled(Boolean value)
  {
    this.memoryHotAddEnabled = value;
  }

  public Boolean isCpuHotAddEnabled()
  {
    return this.cpuHotAddEnabled;
  }

  public void setCpuHotAddEnabled(Boolean value)
  {
    this.cpuHotAddEnabled = value;
  }
}