package com.vmware.vcloud.api.rest.schema.extension;

import com.vmware.vcloud.api.rest.schema.VCloudExtensibleType;
import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="ApiFiltersType", propOrder={"apiFilter"})
public class ApiFiltersType extends VCloudExtensibleType
{

  @XmlElement(name="ApiFilter")
  protected List<ApiFilterType> apiFilter;

  public List<ApiFilterType> getApiFilter()
  {
    if (this.apiFilter == null) {
      this.apiFilter = new ArrayList();
    }
    return this.apiFilter;
  }
}