package com.vmware.vcloud.api.rest.schema.extension;

import com.vmware.vcloud.api.rest.schema.ReferenceType;
import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElementRef;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="EntityRightsType", propOrder={"reference", "rights"})
public class EntityRightsType
{

  @XmlElementRef(name="Reference", namespace="http://www.vmware.com/vcloud/v1.5", type=JAXBElement.class)
  protected JAXBElement<ReferenceType> reference;

  @XmlElement(name="Rights", required=true)
  protected RightRefsType rights;

  public JAXBElement<ReferenceType> getReference()
  {
    return this.reference;
  }

  public void setReference(JAXBElement<ReferenceType> value)
  {
    this.reference = value;
  }

  public RightRefsType getRights()
  {
    return this.rights;
  }

  public void setRights(RightRefsType value)
  {
    this.rights = value;
  }
}