package com.vmware.vcloud.api.rest.schema.extension;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="LookupServiceParamsType", propOrder={"vcdUrl"})
public class LookupServiceParamsType extends LookupServiceSettingsType
{

  @XmlElement(name="VCDUrl")
  protected String vcdUrl;

  @XmlAttribute(required=true)
  protected String password;

  @XmlAttribute(required=true)
  protected String userName;

  public String getVCDUrl()
  {
    return this.vcdUrl;
  }

  public void setVCDUrl(String value)
  {
    this.vcdUrl = value;
  }

  public String getPassword()
  {
    return this.password;
  }

  public void setPassword(String value)
  {
    this.password = value;
  }

  public String getUserName()
  {
    return this.userName;
  }

  public void setUserName(String value)
  {
    this.userName = value;
  }
}