package com.vmware.vcloud.api.rest.schema.extension;

import com.vmware.vcloud.api.rest.schema.ReferenceType;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="PortGroupPoolType", propOrder={"portGroupRefs", "vimServer", "usedNetworksCount"})
public class PortGroupPoolType extends VMWNetworkPoolType
{

  @XmlElement(name="PortGroupRefs", required=true)
  protected VimObjectRefsType portGroupRefs;

  @XmlElement(name="VimServer", required=true)
  protected ReferenceType vimServer;

  @XmlElement(name="UsedNetworksCount")
  protected Integer usedNetworksCount;

  public VimObjectRefsType getPortGroupRefs()
  {
    return this.portGroupRefs;
  }

  public void setPortGroupRefs(VimObjectRefsType value)
  {
    this.portGroupRefs = value;
  }

  public ReferenceType getVimServer()
  {
    return this.vimServer;
  }

  public void setVimServer(ReferenceType value)
  {
    this.vimServer = value;
  }

  public Integer getUsedNetworksCount()
  {
    return this.usedNetworksCount;
  }

  public void setUsedNetworksCount(Integer value)
  {
    this.usedNetworksCount = value;
  }
}