package com.vmware.vcloud.api.rest.schema.extension;

import com.vmware.vcloud.api.rest.schema.ReferenceType;
import com.vmware.vcloud.api.rest.schema.ResourceType;
import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="ProviderVdcMergeParamsType", propOrder={"providerVdcReference"})
public class ProviderVdcMergeParamsType extends ResourceType
{

  @XmlElement(name="ProviderVdcReference", required=true)
  protected List<ReferenceType> providerVdcReference;

  public List<ReferenceType> getProviderVdcReference()
  {
    if (this.providerVdcReference == null) {
      this.providerVdcReference = new ArrayList();
    }
    return this.providerVdcReference;
  }
}