package com.vmware.vcloud.api.rest.schema.extension;

import com.vmware.vcloud.api.rest.schema.EntityType;
import com.vmware.vcloud.api.rest.schema.ReferenceType;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="ServiceResourceType", propOrder={"org", "externalObjectId"})
public class ServiceResourceType extends EntityType
{

  @XmlElement(name="Org")
  protected ReferenceType org;

  @XmlElement(name="ExternalObjectId")
  protected String externalObjectId;

  public ReferenceType getOrg()
  {
    return this.org;
  }

  public void setOrg(ReferenceType value)
  {
    this.org = value;
  }

  public String getExternalObjectId()
  {
    return this.externalObjectId;
  }

  public void setExternalObjectId(String value)
  {
    this.externalObjectId = value;
  }
}