package com.vmware.vcloud.api.rest.schema.ovf;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAnyElement;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="DiskSection_Type", propOrder={"disk", "any"})
public class DiskSectionType extends SectionType
{

  @XmlElement(name="Disk")
  protected List<VirtualDiskDescType> disk;

  @XmlAnyElement(lax=true)
  protected List<Object> any;

  public List<VirtualDiskDescType> getDisk()
  {
    if (this.disk == null) {
      this.disk = new ArrayList();
    }
    return this.disk;
  }

  public List<Object> getAny()
  {
    if (this.any == null) {
      this.any = new ArrayList();
    }
    return this.any;
  }
}