package com.vmware.vcloud.api.rest.schema.ovf;

import java.util.HashMap;
import java.util.Map;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAnyAttribute;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlType;
import javax.xml.namespace.QName;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="")
public class Icon
{

  @XmlAttribute(namespace="http://schemas.dmtf.org/ovf/envelope/1", required=true)
  protected String fileRef;

  @XmlAttribute(namespace="http://schemas.dmtf.org/ovf/envelope/1")
  protected Integer height;

  @XmlAttribute(namespace="http://schemas.dmtf.org/ovf/envelope/1")
  protected String mimeType;

  @XmlAttribute(namespace="http://schemas.dmtf.org/ovf/envelope/1")
  protected Integer width;

  @XmlAnyAttribute
  private Map<QName, String> otherAttributes = new HashMap();

  public String getFileRef()
  {
    return this.fileRef;
  }

  public void setFileRef(String value)
  {
    this.fileRef = value;
  }

  public Integer getHeight()
  {
    return this.height;
  }

  public void setHeight(Integer value)
  {
    this.height = value;
  }

  public String getMimeType()
  {
    return this.mimeType;
  }

  public void setMimeType(String value)
  {
    this.mimeType = value;
  }

  public Integer getWidth()
  {
    return this.width;
  }

  public void setWidth(Integer value)
  {
    this.width = value;
  }

  public Map<QName, String> getOtherAttributes()
  {
    return this.otherAttributes;
  }
}