package com.vmware.vcloud.api.rest.schema.ovf.environment;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAnyElement;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="PropertySection_Type", propOrder={"property", "any"})
public class PropertySectionType extends SectionType
{

  @XmlElement(name="Property")
  protected List<Property> property;

  @XmlAnyElement(lax=true)
  protected List<Object> any;

  public List<Property> getProperty()
  {
    if (this.property == null) {
      this.property = new ArrayList();
    }
    return this.property;
  }

  public List<Object> getAny()
  {
    if (this.any == null) {
      this.any = new ArrayList();
    }
    return this.any;
  }
}