package com.vmware.vcloud.api.rest.schema.ovf.vmware;

import com.vmware.vcloud.api.rest.schema.ovf.SectionType;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="BootOrderSection_Type")
public class BootOrderSectionType extends SectionType
{

  @XmlAttribute(namespace="http://www.vmware.com/schema/ovf")
  protected Integer instanceId;

  @XmlAttribute(namespace="http://www.vmware.com/schema/ovf")
  protected String type;

  public Integer getInstanceId()
  {
    return this.instanceId;
  }

  public void setInstanceId(Integer value)
  {
    this.instanceId = value;
  }

  public String getType()
  {
    if (this.type == null) {
      return "";
    }
    return this.type;
  }

  public void setType(String value)
  {
    this.type = value;
  }
}