package com.vmware.vcloud.api.rest.schema.ovf.vmware;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="ConfigKeyValue_Type")
public abstract class ConfigKeyValueType
{

  @XmlAttribute(namespace="http://schemas.dmtf.org/ovf/envelope/1")
  protected Boolean required;

  @XmlAttribute(namespace="http://www.vmware.com/schema/ovf", required=true)
  protected String key;

  @XmlAttribute(namespace="http://www.vmware.com/schema/ovf", required=true)
  protected String value;

  public boolean isRequired()
  {
    if (this.required == null) {
      return true;
    }
    return this.required.booleanValue();
  }

  public void setRequired(Boolean value)
  {
    this.required = value;
  }

  public String getKey()
  {
    return this.key;
  }

  public void setKey(String value)
  {
    this.key = value;
  }

  public String getValue()
  {
    return this.value;
  }

  public void setValue(String value)
  {
    this.value = value;
  }
}