package com.vmware.vcloud.api.rest.schema.ovf.vmware;

import com.vmware.vcloud.api.rest.schema.ovf.SectionType;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="IpAssignmentSection_Type")
public class IpAssignmentSectionType extends SectionType
{

  @XmlAttribute(namespace="http://www.vmware.com/schema/ovf")
  protected String protocols;

  @XmlAttribute(namespace="http://www.vmware.com/schema/ovf")
  protected String schemes;

  public String getProtocols()
  {
    if (this.protocols == null) {
      return "IPv4";
    }
    return this.protocols;
  }

  public void setProtocols(String value)
  {
    this.protocols = value;
  }

  public String getSchemes()
  {
    if (this.schemes == null) {
      return "";
    }
    return this.schemes;
  }

  public void setSchemes(String value)
  {
    this.schemes = value;
  }
}