package com.vmware.vcloud.api.rest.schema_v1_0;

import javax.xml.bind.annotation.XmlEnum;

@XmlEnum
public enum IpAddressAllocationModeType
{
  NONE, 
  MANUAL, 
  POOL, 
  DHCP;

  public String value() {
    return name();
  }

  public static IpAddressAllocationModeType fromValue(String v) {
    return valueOf(v);
  }
}