package com.vmware.vcloud.api.rest.schema_v1_0;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="IpRangeType", propOrder={"startAddress", "endAddress"})
public class IpRangeType extends VCloudExtensibleType
{

  @XmlElement(name="StartAddress", required=true)
  protected String startAddress;

  @XmlElement(name="EndAddress", required=true)
  protected String endAddress;

  public String getStartAddress()
  {
    return this.startAddress;
  }

  public void setStartAddress(String value)
  {
    this.startAddress = value;
  }

  public String getEndAddress()
  {
    return this.endAddress;
  }

  public void setEndAddress(String value)
  {
    this.endAddress = value;
  }
}