package com.vmware.vcloud.api.rest.schema_v1_0;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="NetworksType", propOrder={"network"})
public class NetworksType extends VCloudExtensibleType
{

  @XmlElement(name="Network")
  protected List<ReferenceType> network;

  public List<ReferenceType> getNetwork()
  {
    if (this.network == null) {
      this.network = new ArrayList();
    }
    return this.network;
  }
}