package com.vmware.vcloud.api.rest.schema_v1_0;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="VdcReferencesType", propOrder={"vdcReference"})
public class VdcReferencesType extends ResourceType
{

  @XmlElement(name="VdcReference")
  protected List<ReferenceType> vdcReference;

  public List<ReferenceType> getVdcReference()
  {
    if (this.vdcReference == null) {
      this.vdcReference = new ArrayList();
    }
    return this.vdcReference;
  }
}