package com.vmware.vcloud.api.rest.schema_v1_0.extension;

import com.vmware.vcloud.api.rest.schema_v1_0.ProviderVdcType;
import com.vmware.vcloud.api.rest.schema_v1_0.ReferenceType;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="VMWProviderVdcType", propOrder={"dataStoreRefs", "resourcePoolRef", "vimServer", "hostReferences"})
public class VMWProviderVdcType extends ProviderVdcType
{

  @XmlElement(name="DataStoreRefs", required=true)
  protected VimObjectRefsType dataStoreRefs;

  @XmlElement(name="ResourcePoolRef", required=true)
  protected VimObjectRefType resourcePoolRef;

  @XmlElement(name="VimServer", required=true)
  protected ReferenceType vimServer;

  @XmlElement(name="HostReferences")
  protected VMWHostReferencesType hostReferences;

  public VimObjectRefsType getDataStoreRefs()
  {
    return this.dataStoreRefs;
  }

  public void setDataStoreRefs(VimObjectRefsType value)
  {
    this.dataStoreRefs = value;
  }

  public VimObjectRefType getResourcePoolRef()
  {
    return this.resourcePoolRef;
  }

  public void setResourcePoolRef(VimObjectRefType value)
  {
    this.resourcePoolRef = value;
  }

  public ReferenceType getVimServer()
  {
    return this.vimServer;
  }

  public void setVimServer(ReferenceType value)
  {
    this.vimServer = value;
  }

  public VMWHostReferencesType getHostReferences()
  {
    return this.hostReferences;
  }

  public void setHostReferences(VMWHostReferencesType value)
  {
    this.hostReferences = value;
  }
}