package com.vmware.vcloud.api.rest.schema_v1_0.extension;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="VlanPoolType", propOrder={"vlanRange", "vimSwitchRef", "usedNetworksCount"})
public class VlanPoolType extends VMWNetworkPoolType
{

  @XmlElement(name="VlanRange", required=true)
  protected List<NumericRangeType> vlanRange;

  @XmlElement(name="VimSwitchRef", required=true)
  protected VimObjectRefType vimSwitchRef;

  @XmlElement(name="UsedNetworksCount")
  protected Integer usedNetworksCount;

  public List<NumericRangeType> getVlanRange()
  {
    if (this.vlanRange == null) {
      this.vlanRange = new ArrayList();
    }
    return this.vlanRange;
  }

  public VimObjectRefType getVimSwitchRef()
  {
    return this.vimSwitchRef;
  }

  public void setVimSwitchRef(VimObjectRefType value)
  {
    this.vimSwitchRef = value;
  }

  public Integer getUsedNetworksCount()
  {
    return this.usedNetworksCount;
  }

  public void setUsedNetworksCount(Integer value)
  {
    this.usedNetworksCount = value;
  }
}