package com.vmware.vcloud.api.rest.schema_v1_0.extension;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="VmObjectRefsListType", propOrder={"vmObjectRef"})
public class VmObjectRefsListType
{

  @XmlElement(name="VmObjectRef")
  protected List<VmObjectRefType> vmObjectRef;

  @XmlAttribute
  protected Integer numberOfPages;

  @XmlAttribute
  protected Integer page;

  public List<VmObjectRefType> getVmObjectRef()
  {
    if (this.vmObjectRef == null) {
      this.vmObjectRef = new ArrayList();
    }
    return this.vmObjectRef;
  }

  public Integer getNumberOfPages()
  {
    return this.numberOfPages;
  }

  public void setNumberOfPages(Integer value)
  {
    this.numberOfPages = value;
  }

  public Integer getPage()
  {
    return this.page;
  }

  public void setPage(Integer value)
  {
    this.page = value;
  }
}