package com.vmware.vcloud.sdk.constants;

public enum AllocationModelType
{
  ALLOCATIONVAPP("AllocationVApp"), 

  ALLOCATIONPOOL("AllocationPool"), 

  RESERVATIONPOOL("ReservationPool");

  private String value;

  private AllocationModelType() {
  }

  private AllocationModelType(String value) {
    this.value = value;
  }

  public String value() {
    return this.value;
  }

  public static AllocationModelType fromValue(String value) {
    for (AllocationModelType enumVal : values()) {
      if (enumVal.value().equals(value)) {
        return enumVal;
      }
    }
    throw new IllegalArgumentException(value.toString());
  }
}