package com.vmware.vcloud.sdk.constants;

public enum BusType
{
  IDE("5"), 

  SCSI("6");

  private String value;

  private BusType() {
  }

  private BusType(String value) {
    this.value = value;
  }

  public String value() {
    return this.value;
  }

  public static BusType fromValue(String value) {
    for (BusType enumVal : values()) {
      if (enumVal.value().equals(value)) {
        return enumVal;
      }
    }
    throw new IllegalArgumentException(value.toString());
  }
}