package com.vmware.vcloud.sdk.constants;

public enum Layer4ProtocolType
{
  TCP("TCP"), 

  UDP("UDP"), 

  TCP_UDP("TCP_UDP");

  private String value;

  private Layer4ProtocolType() {
  }

  private Layer4ProtocolType(String value) {
    this.value = value;
  }

  public String value() {
    return this.value;
  }

  public static Layer4ProtocolType fromValue(String value) {
    for (Layer4ProtocolType enumVal : values()) {
      if (enumVal.value().equals(value)) {
        return enumVal;
      }
    }
    throw new IllegalArgumentException(value.toString());
  }
}