package com.vmware.vcloud.sdk.constants;

public enum MetadataDomain
{
  SYSTEM("SYSTEM");

  private String value;

  private MetadataDomain() {
  }

  private MetadataDomain(String value) {
    this.value = value;
  }

  public String value() {
    return this.value;
  }

  public static MetadataDomain fromValue(String value) {
    for (MetadataDomain enumVal : values()) {
      if (enumVal.value().equals(value)) {
        return enumVal;
      }
    }
    throw new IllegalArgumentException(value.toString());
  }
}