package com.vmware.vcloud.sdk.constants;

public enum Version
{
  V1_5("1.5"), 

  V5_1("5.1");

  private String value;

  private Version() {
  }

  private Version(String value) {
    this.value = value;
  }

  public static Version fromValue(String value) {
    for (Version version : values()) {
      if (version.value().equals(value)) {
        return version;
      }
    }
    throw new IllegalArgumentException(value.toString());
  }

  public String value() {
    return this.value;
  }
}