package com.vmware.vcloud.sdk.constants.query;

public enum QueryAclRuleField
  implements QueryField
{
  ID("id"), 
  HREF("href"), 
  NAME("name"), 
  ORG("org"), 
  ORGACCESS("orgAccess"), 
  PRINCIPAL("principal"), 
  PRINCIPALACCESS("principalAccess"), 
  PRINCIPALTYPE("principalType"), 
  RESOURCECLASSACTION("resourceClassAction"), 
  SERVICERESOURCE("serviceResource"), 
  SERVICERESOURCEACCESS("serviceResourceAccess");

  private String value;

  private QueryAclRuleField() {
  }
  private QueryAclRuleField(String value) { this.value = value; }

  public String value() {
    return this.value;
  }
  public static QueryAclRuleField fromValue(String value) {
    for (QueryAclRuleField enumVal : values()) {
      if (enumVal.value().equals(value)) {
        return enumVal;
      }
    }
    throw new IllegalArgumentException(value.toString());
  }
}