package com.vmware.vcloud.sdk.constants.query;

public enum QueryApiFilterField
  implements QueryField
{
  ID("id"), 

  HREF("href"), 
  SERVICE("service"), 
  URLPATTERN("urlPattern");

  private String value;

  private QueryApiFilterField() {
  }
  private QueryApiFilterField(String value) { this.value = value; }

  public String value() {
    return this.value;
  }
  public static QueryApiFilterField fromValue(String value) {
    for (QueryApiFilterField enumVal : values()) {
      if (enumVal.value().equals(value)) {
        return enumVal;
      }
    }
    throw new IllegalArgumentException(value.toString());
  }
}