package com.vmware.vcloud.sdk.constants.query;

public enum QueryDvSwitchField
  implements QueryField
{
  ID("id"), 

  HREF("href"), 
  ISVCENABLED("isVCEnabled"), 
  MOREF("moref"), 
  NAME("name"), 
  VC("vc"), 
  VCNAME("vcName");

  private String value;

  private QueryDvSwitchField() {
  }
  private QueryDvSwitchField(String value) { this.value = value; }

  public String value() {
    return this.value;
  }
  public static QueryDvSwitchField fromValue(String value) {
    for (QueryDvSwitchField enumVal : values()) {
      if (enumVal.value().equals(value)) {
        return enumVal;
      }
    }
    throw new IllegalArgumentException(value.toString());
  }
}