package com.vmware.vcloud.sdk.constants.query;

public enum QueryOrgVdcStorageProfileField
  implements QueryField
{
  ID("id"), 
  HREF("href"), 
  ISDEFAULTSTORAGEPROFILE("isDefaultStorageProfile"), 
  ISENABLED("isEnabled"), 
  ISVDCBUSY("isVdcBusy"), 
  NAME("name"), 
  NUMBEROFCONDITIONS("numberOfConditions"), 
  STORAGELIMITMB("storageLimitMB"), 
  STORAGEUSEDMB("storageUsedMB"), 
  VDC("vdc"), 
  VDCNAME("vdcName");

  private String value;

  private QueryOrgVdcStorageProfileField() {
  }
  private QueryOrgVdcStorageProfileField(String value) { this.value = value; }

  public String value() {
    return this.value;
  }
  public static QueryOrgVdcStorageProfileField fromValue(String value) {
    for (QueryOrgVdcStorageProfileField enumVal : values()) {
      if (enumVal.value().equals(value)) {
        return enumVal;
      }
    }
    throw new IllegalArgumentException(value.toString());
  }
}