package com.vmware.vcloud.sdk.constants.query;

public enum QueryResourceClassActionField
  implements QueryField
{
  ID("id"), 
  HREF("href"), 
  HTTPMETHOD("httpMethod"), 
  NAME("name"), 
  RESOURCECLASS("resourceClass"), 
  URLPATTERN("urlPattern");

  private String value;

  private QueryResourceClassActionField() {
  }
  private QueryResourceClassActionField(String value) { this.value = value; }

  public String value() {
    return this.value;
  }
  public static QueryResourceClassActionField fromValue(String value) {
    for (QueryResourceClassActionField enumVal : values()) {
      if (enumVal.value().equals(value)) {
        return enumVal;
      }
    }
    throw new IllegalArgumentException(value.toString());
  }
}