package com.vmware.vcloud.sdk.constants.query;

public enum QueryResourcePoolVMField
  implements QueryField
{
  ID("id"), 
  HREF("href"), 
  CONTAINERNAME("containerName"), 
  GUESTOS("guestOs"), 
  HARDWAREVERSION("hardwareVersion"), 
  ISBUSY("isBusy"), 
  ISDEPLOYED("isDeployed"), 
  NAME("name"), 
  STATUS("status");

  private String value;

  private QueryResourcePoolVMField() {
  }
  private QueryResourcePoolVMField(String value) { this.value = value; }

  public String value() {
    return this.value;
  }
  public static QueryResourcePoolVMField fromValue(String value) {
    for (QueryResourcePoolVMField enumVal : values()) {
      if (enumVal.value().equals(value)) {
        return enumVal;
      }
    }
    throw new IllegalArgumentException(value.toString());
  }
}