package com.vmware.vcloud.sdk.constants.query;

public enum QueryStrandedItemField
  implements QueryField
{
  ID("id"), 

  HREF("href"), 
  DELETIONDATE("deletionDate"), 
  NAME("name"), 
  NUMBEROFPURGEATTEMPTS("numberOfPurgeAttempts"), 
  PARENT("parent"), 
  PARENTNAME("parentName"), 
  VIMOBJECTTYPE("vimObjectType");

  private String value;

  private QueryStrandedItemField() {
  }
  private QueryStrandedItemField(String value) { this.value = value; }

  public String value() {
    return this.value;
  }
  public static QueryStrandedItemField fromValue(String value) {
    for (QueryStrandedItemField enumVal : values()) {
      if (enumVal.value().equals(value)) {
        return enumVal;
      }
    }
    throw new IllegalArgumentException(value.toString());
  }
}