package com.vmware.vcloud.sdk.constants.query;

public enum QueryVAppField
  implements QueryField
{
  ID("id"), 

  HREF("href"), 
  CREATIONDATE("creationDate"), 
  ISBUSY("isBusy"), 
  ISDEPLOYED("isDeployed"), 
  ISENABLED("isEnabled"), 

  ISEXPIRED("isExpired"), 
  ISINMAINTENANCEMODE("isInMaintenanceMode"), 
  ISPUBLIC("isPublic"), 
  NAME("name"), 
  OWNERNAME("ownerName"), 
  STATUS("status"), 
  VDC("vdc"), 
  VDCNAME("vdcName");

  private String value;

  private QueryVAppField() {
  }
  private QueryVAppField(String value) { this.value = value; }

  public String value() {
    return this.value;
  }
  public static QueryVAppField fromValue(String value) {
    for (QueryVAppField enumVal : values()) {
      if (enumVal.value().equals(value)) {
        return enumVal;
      }
    }
    throw new IllegalArgumentException(value.toString());
  }
}