package com.vmware.vcloud.sdk.constants.query;

public enum SortType
{
  SORT_ASC("sortAsc"), SORT_DESC("sortDesc");

  private String value;

  private SortType() {
  }

  private SortType(String value) {
    this.value = value;
  }

  public String value() {
    return this.value;
  }

  public static SortType fromValue(String value) {
    for (SortType enumVal : values()) {
      if (enumVal.value().equals(value)) {
        return enumVal;
      }
    }
    throw new IllegalArgumentException(value.toString());
  }
}