package devmgr.versioned.jrpc;

public class XDRfloat
  implements XDRType
{
  private float m_Value = 0.0F;

  public float getValue()
  {
    return this.m_Value;
  }

  public void setValue(float paramFloat)
  {
    this.m_Value = paramFloat;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
  {
    paramXDROutputStream.putFloat(this.m_Value);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    this.m_Value = paramXDRInputStream.getFloat();
  }
}