package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class ControllerRef
  implements XDRType, SYMbolAPIConstants
{
  private byte[] refToken;

  public ControllerRef()
  {
  }

  public ControllerRef(ControllerRef paramControllerRef)
  {
    this.refToken = paramControllerRef.refToken;
  }

  public byte[] getRefToken()
  {
    return this.refToken;
  }

  public void setRefToken(byte[] paramArrayOfByte)
  {
    this.refToken = paramArrayOfByte;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    paramXDROutputStream.putFixedOpaque(this.refToken, 12);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    this.refToken = paramXDRInputStream.getFixedOpaque(12);
  }
}