package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class UnlabeledHostPorts
  implements XDRType, SYMbolAPIConstants
{
  private HostPort[] value;

  public UnlabeledHostPorts()
  {
  }

  public UnlabeledHostPorts(UnlabeledHostPorts paramUnlabeledHostPorts)
  {
    this.value = paramUnlabeledHostPorts.value;
  }

  public HostPort[] getValue()
  {
    return this.value;
  }

  public void setValue(HostPort[] paramArrayOfHostPort)
  {
    this.value = paramArrayOfHostPort;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = this.value == null ? 0 : this.value.length;
    paramXDROutputStream.putInt(i);
    for (int j = 0; j < i; j++)
      this.value[j].xdrEncode(paramXDROutputStream);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt();
    this.value = new HostPort[i];
    for (int j = 0; j < i; j++)
    {
      this.value[j] = new HostPort();
      this.value[j].xdrDecode(paramXDRInputStream);
    }
  }
}