package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class UserAssignedLabel
  implements XDRType, SYMbolAPIConstants
{
  private byte[] value;

  public UserAssignedLabel()
  {
  }

  public UserAssignedLabel(UserAssignedLabel paramUserAssignedLabel)
  {
    this.value = paramUserAssignedLabel.value;
  }

  public byte[] getValue()
  {
    return this.value;
  }

  public void setValue(byte[] paramArrayOfByte)
  {
    this.value = paramArrayOfByte;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    paramXDROutputStream.putVariableOpaque(this.value, 60);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    this.value = paramXDRInputStream.getVariableOpaque(60);
  }
}