package org.eclipse.jdt.internal.compiler.ast;

import org.eclipse.jdt.internal.compiler.impl.Constant;
import org.eclipse.jdt.internal.compiler.impl.LongConstant;

public class LongLiteralMinValue extends LongLiteral
{
  static final char[] CharValue = { '-', '9', '2', '2', '3', '3', '7', '2', '0', '3', '6', '8', '5', '4', '7', '7', '5', '8', '0', '8', 'L' };
  static final Constant MIN_VALUE = LongConstant.fromValue(-9223372036854775808L);

  public LongLiteralMinValue() {
    super(CharValue, 0, 0);
    this.constant = MIN_VALUE;
  }

  public void computeConstant()
  {
  }
}