package org.eclipse.jdt.internal.compiler.env;

public class EnumConstantSignature
{
  char[] typeName;
  char[] constName;

  public EnumConstantSignature(char[] typeName, char[] constName)
  {
    this.typeName = typeName;
    this.constName = constName;
  }

  public char[] getTypeName()
  {
    return this.typeName;
  }

  public char[] getEnumConstantName()
  {
    return this.constName;
  }

  public String toString() {
    StringBuffer buffer = new StringBuffer();
    buffer.append(this.typeName);
    buffer.append('.');
    buffer.append(this.constName);
    return buffer.toString();
  }
}