package org.quartz;

import java.io.Serializable;
import java.util.Map;
import org.quartz.utils.StringKeyDirtyFlagMap;

public class SchedulerContext extends StringKeyDirtyFlagMap
  implements Serializable
{
  public SchedulerContext()
  {
    super(15);
  }

  public SchedulerContext(Map<?, ?> map)
  {
    this();

    Map mapTyped = map;
    putAll(mapTyped);
  }
}