package org.quartz;

public abstract interface TriggerListener
{
  public abstract String getName();

  public abstract void triggerFired(Trigger paramTrigger, JobExecutionContext paramJobExecutionContext);

  public abstract boolean vetoJobExecution(Trigger paramTrigger, JobExecutionContext paramJobExecutionContext);

  public abstract void triggerMisfired(Trigger paramTrigger);

  public abstract void triggerComplete(Trigger paramTrigger, JobExecutionContext paramJobExecutionContext, Trigger.CompletedExecutionInstruction paramCompletedExecutionInstruction);
}