package org.quartz.simpl;

import java.io.Serializable;
import java.util.Comparator;
import org.quartz.Trigger.TriggerTimeComparator;

class TriggerWrapperComparator
  implements Comparator<TriggerWrapper>, Serializable
{
  Trigger.TriggerTimeComparator ttc = new Trigger.TriggerTimeComparator();

  public int compare(TriggerWrapper trig1, TriggerWrapper trig2) {
    return this.ttc.compare(trig1.trigger, trig2.trigger);
  }

  public boolean equals(Object obj)
  {
    return obj instanceof TriggerWrapperComparator;
  }

  public int hashCode()
  {
    return super.hashCode();
  }
}