package org.quartz.utils.counter.sampled;

import org.quartz.utils.counter.Counter;

public abstract interface SampledCounter extends Counter
{
  public abstract void shutdown();

  public abstract TimeStampedCounterValue getMostRecentSample();

  public abstract TimeStampedCounterValue[] getAllSampleValues();

  public abstract long getAndReset();
}